package it.asterisk.manager.internal.backwardsCompatibility;

import it.asterisk.manager.event.ManagerEvent;
import it.asterisk.manager.internal.backwardsCompatibility.bridge.BridgesActive;
import it.asterisk.manager.internal.backwardsCompatibility.meetme.MeetmeCompatibility;

public class BackwardsCompatibilityForManagerEvents
{
    // Logger logger = LogManager.getLogger();
    BridgesActive bridges = new BridgesActive();
    MeetmeCompatibility meetme = new MeetmeCompatibility();

    public ManagerEvent handleEvent(ManagerEvent event)
    {
        ManagerEvent newEvent = bridges.handleEvent(event);
        if (newEvent == null)
        {
            newEvent = meetme.handleEvent(event);
        }
        return newEvent;
    }

}
