package it.asterisk.pbx.asterisk.wrap.actions;

public class ConfbridgeKickAction extends AbstractManagerAction
{

    private final String channel;
    private String room;

    public ConfbridgeKickAction(final String room, String channel)
    {
        this.channel = channel;
        this.room = room;
    }

    @Override
    public it.asterisk.manager.action.ManagerAction getAJAction()
    {
        final it.asterisk.manager.action.ConfbridgeKickAction action = new it.asterisk.manager.action.ConfbridgeKickAction();
        action.setActionId(this.getActionId());
        action.setChannel(channel);
        action.setConference(room);

        return action;
    }

    public String getChannel()
    {
        return channel;
    }

    public String getRoom()
    {
        return room;
    }
}
