package it.asterisk.pbx.asterisk.wrap.actions;

import it.asterisk.pbx.Channel;

public class GetVarAction extends AbstractManagerAction
{

	private final Channel _channel;
	private String _variableName;

	public GetVarAction(final Channel channel, String variableName)
	{
		this._channel = channel;
		this._variableName = variableName;
	}

	@Override
	public it.asterisk.manager.action.ManagerAction getAJAction()
	{
		final it.asterisk.manager.action.GetVarAction action = new it.asterisk.manager.action.GetVarAction();
		action.setActionId(this.getActionId());
		action.setChannel(this._channel.getChannelName());
		action.setVariable(this._variableName);

		return action;
	}

	public String toString()
	{
		return "GetVarAction: channel=" + this._channel + " variableName=" + this._variableName; //$NON-NLS-1$ //$NON-NLS-2$
	}

}
