package it.asterisk.pbx.asterisk.wrap.events;

import it.asterisk.pbx.Channel;
import it.asterisk.pbx.InvalidChannelName;
import it.asterisk.pbx.internal.core.ChannelProxy;

public class NewStateEvent extends AbstractChannelStateEvent
{
    private static final long serialVersionUID = 1L;
    private ChannelProxy destChannel;

    public NewStateEvent(final it.asterisk.manager.event.NewStateEvent event) throws InvalidChannelName
    {
        super(event);
    }

    public Channel getDestination()
    {
        return destChannel;
    }

    public String toString()
    {
        return "NewStateEvent: channel:" + this.getChannel() + " channelState:" + this.getChannelState(); //$NON-NLS-1$//$NON-NLS-2$
    }
}
