package it.asterisk.pbx.asterisk.wrap.events;

import it.asterisk.pbx.EndPoint;
import it.asterisk.pbx.PBXFactory;
import it.asterisk.pbx.internal.core.AsteriskPBX;

public class PeerStatusEvent extends ManagerEvent
{
    private static final long serialVersionUID = 1L;

    private final EndPoint peer;

    public PeerStatusEvent(final it.asterisk.manager.event.PeerStatusEvent event)
    {
        super(event);
        final AsteriskPBX pbx = (AsteriskPBX) PBXFactory.getActivePBX();

        this.peer = pbx.buildEndPoint(event.getPeer());// registerChannel(event.getPeer(),
                                                       // Channel.UNKNOWN_UNIQUE_ID);
    }

    public EndPoint getPeer()
    {
        return this.peer;
    }

}
