package it.asterisk.pbx.asterisk.wrap.response;

import java.util.Collections;
import java.util.List;

public class CommandResponse extends ManagerResponse
{

    private List<String> result;
	private boolean error;

	public CommandResponse(it.asterisk.manager.response.ManagerResponse response)
    {
        super(response);

        if (response instanceof it.asterisk.manager.response.CommandResponse) {
	        result = ((it.asterisk.manager.response.CommandResponse) response).getResult();
        } else if (response instanceof it.asterisk.manager.response.ManagerError) {
        	error = true;
        	result = Collections.singletonList(response.getOutput());
        }
    }

    public List<String> getResult()
    {
        return this.result;
    }

	public boolean isError()
	{
		return error;
	}
}
