package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class AutoContattoColumn  extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	public AutoContattoColumn() {
		doReset();
	}

	public String doReset(){

		reset();	
		add(ConstantsColumn.id,						true);
		add(ConstantsColumn.data_creazione,			true);
		add(ConstantsColumn.campagna,				false);
		add(ConstantsColumn.lista,					false);
		add(ConstantsColumn.contatto,				true);
		add(ConstantsColumn.telefono,				true);
		add(ConstantsColumn.caller1,				false);
		add(ConstantsColumn.callee1,				false);
		add(ConstantsColumn.caller2,				false);
		add(ConstantsColumn.callee2,				false);
		add(ConstantsColumn.utente,					true);
		add(ConstantsColumn.ringing,				false);
		add(ConstantsColumn.inbound,				false);
		add(ConstantsColumn.stato,					true);
		add(ConstantsColumn.cause,					false);
		add(ConstantsColumn.tentativi,				false);
		add(ConstantsColumn.secondi_avvio, 			false);
		add(ConstantsColumn.secondi_avvioH,			false);
		add(ConstantsColumn.secondi_chiamata, 		false);
		add(ConstantsColumn.secondi_chiamataH, 		false);
		add(ConstantsColumn.secondi_conversazione, 	false);
		add(ConstantsColumn.secondi_conversazioneH, false);
		add(ConstantsColumn.secondi_totale, 		false);
		add(ConstantsColumn.secondi_totaleH, 		false);
		add(ConstantsColumn.data_avvio,				false);
		add(ConstantsColumn.data_chiamata,			true);
		add(ConstantsColumn.data_risposta,			true);
		add(ConstantsColumn.data_link,				false);
		add(ConstantsColumn.data_gestione,			false);
		add(ConstantsColumn.data_apertura,			true);
		add(ConstantsColumn.data_attesa,			true);
		add(ConstantsColumn.data_aggancio,			true);
		add(ConstantsColumn.data_rifiuto,			true);
		
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.stato);
		ordinamento(ConstantsColumn.tentativi);
		ordinamento(ConstantsColumn.ringing);
		ordinamento(ConstantsColumn.inbound);
		ordinamento(ConstantsColumn.secondi_avvio);
		ordinamento(ConstantsColumn.secondi_chiamata);
		ordinamento(ConstantsColumn.secondi_conversazione);
		ordinamento(ConstantsColumn.secondi_totale);
		ordinamento(ConstantsColumn.data_avvio);
		ordinamento(ConstantsColumn.data_chiamata);
		ordinamento(ConstantsColumn.data_risposta);
		ordinamento(ConstantsColumn.data_gestione);
		ordinamento(ConstantsColumn.data_apertura);
		ordinamento(ConstantsColumn.data_attesa);
		ordinamento(ConstantsColumn.data_aggancio);
		ordinamento(ConstantsColumn.data_rifiuto);
		ordinamento(ConstantsColumn.data_link);
		return getAction();
	}


}
