package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class ContattoSIColumn  extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	
	public ContattoSIColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id,						true);
		add(ConstantsColumn.campagna,				true);
		add(ConstantsColumn.lista, 					true);
		add(ConstantsColumn.esito_chiamata, 		true);
		add(ConstantsColumn.esito_archiviazione, 	true);
		add(ConstantsColumn.chiuso, 				false);
		add(ConstantsColumn.denominazione, 			true);
		add(ConstantsColumn.telefono_fisso, 		true);
		add(ConstantsColumn.telefono_mobile, 		true);
		add(ConstantsColumn.telefono_fax, 			true);
		add(ConstantsColumn.telefono_altro, 		true);
		add(ConstantsColumn.email, 					true);
		add(ConstantsColumn.link,					true);
		add(ConstantsColumn.codice_fiscale,			true);
		add(ConstantsColumn.partita_iva, 			true);
		
		
		return getAction();
	}
	
}
