package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class InternoColumn  extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	
	public InternoColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id,					true);
		add(ConstantsColumn.data_creazione,		false);
		add(ConstantsColumn.attivo, 			true);
		add(ConstantsColumn.name, 				true);
		add(ConstantsColumn.interne, 			true);
		add(ConstantsColumn.interurbane, 		true);
		add(ConstantsColumn.opposizione, 		true);
		add(ConstantsColumn.registrazione, 		false);
		add(ConstantsColumn.coda, 				false);
		add(ConstantsColumn.segreteria, 		true);
		add(ConstantsColumn.add_prefisso,		false);
		add(ConstantsColumn.callers,			false);
		add(ConstantsColumn.tipo, 				true);
		add(ConstantsColumn.tastierino, 		false);
		add(ConstantsColumn.allow, 				true);
		add(ConstantsColumn.logged, 			true);
		addSeparatore("1");
		add(ConstantsColumn.utenti, 			false);
		add(ConstantsColumn.code, 				false);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.attivo);
		ordinamento(ConstantsColumn.name);
		ordinamento(ConstantsColumn.interne);
		ordinamento(ConstantsColumn.interurbane);
		ordinamento(ConstantsColumn.opposizione);
		ordinamento(ConstantsColumn.registrazione);
		ordinamento(ConstantsColumn.coda);
		ordinamento(ConstantsColumn.segreteria);
		ordinamento(ConstantsColumn.add_prefisso);
		ordinamento(ConstantsColumn.tipo);
		ordinamento(ConstantsColumn.tastierino);
		ordinamento(ConstantsColumn.allow);
		return getAction();
	}
	
}
