package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class NotaColumn  extends GenericColumn implements Serializable {

	private static final long serialVersionUID = 1L;
	
	public NotaColumn() {
		doReset();
	}
 
	public String doReset(){
		reset();
		add(ConstantsColumn.id,					true);
		add(ConstantsColumn.data_creazione,		false);
		add(ConstantsColumn.data_lavorazione, 	false);
		add(ConstantsColumn.bloccato,			true);
		add(ConstantsColumn.agente, 			true);
		add(ConstantsColumn.operatore, 			true);
		add(ConstantsColumn.utente, 			false);
		add(ConstantsColumn.nota, 				false);
		add(ConstantsColumn.data_termine, 		true);
		add(ConstantsColumn.data_nota,			true);
		add(ConstantsColumn.ora_inizio,			true);
		add(ConstantsColumn.ora_fine,			true);
		add(ConstantsColumn.ripetizioni, 		true);
		add(ConstantsColumn.colore, 			false);
		addSeparatore("1");
		add(ConstantsColumn.storia, 			false);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.data_lavorazione);
		ordinamento(ConstantsColumn.bloccato);
		ordinamento(ConstantsColumn.data_inizio);
		ordinamento(ConstantsColumn.data_fine);
		ordinamento(ConstantsColumn.data_termine);
		ordinamento(ConstantsColumn.ripetizioni);
		ordinamento(ConstantsColumn.colore);
		return getAction();
	}

}
