package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class ReportGeneraleColumn extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	public ReportGeneraleColumn() {
		doReset();
	}

	public String doReset(){
		reset();
		add(ConstantsColumn.lavorati,					true);
		add(ConstantsColumn.lavorati_chiuso,			false);
		add(ConstantsColumn.archiviazioni,				true);
		add(ConstantsColumn.archiviazioni_positivo,		false);
		add(ConstantsColumn.archiviazioni_utile,		false);
		add(ConstantsColumn.appuntamenti,				true);
		add(ConstantsColumn.appuntamenti_confermato,	false);
		add(ConstantsColumn.appuntamenti_utile,			false);
		add(ConstantsColumn.contratti,					true);
		add(ConstantsColumn.contratti_confermato,		false);
		add(ConstantsColumn.contratti_utile,			false);
		
		
		return getAction();
	}

}
