package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class ReportStoriaGeneraleColumn extends GenericColumn implements Serializable {

	private static final long serialVersionUID = 1L;

	public ReportStoriaGeneraleColumn() {
		doReset();
	}

	public String doReset(){
		reset();
		
		add(ConstantsColumn.tempoS, ConstantsColumn.tempo_tot,					false);
		add(ConstantsColumn.tempoS, ConstantsColumn.tempo_conv_eff,				false);
		add(ConstantsColumn.tempoS, ConstantsColumn.tempo_conv_tot,				false);
		add(ConstantsColumn.tempoS, ConstantsColumn.tempo_post,					false);
		add(ConstantsColumn.tempoS, ConstantsColumn.tempo_pre,					false);
		add(ConstantsColumn.tempoS, ConstantsColumn.tempo_rec,					false);
		add(ConstantsColumn.tempoS, ConstantsColumn.tempo_attesa,				false);

		add(ConstantsColumn.tempoH, ConstantsColumn.tempo_totH,					true);
		add(ConstantsColumn.tempoH, ConstantsColumn.tempo_conv_effH,			true);
		add(ConstantsColumn.tempoH, ConstantsColumn.tempo_conv_totH,			false);
		add(ConstantsColumn.tempoH, ConstantsColumn.tempo_postH,				false);
		add(ConstantsColumn.tempoH, ConstantsColumn.tempo_preH,					false);
		add(ConstantsColumn.tempoH, ConstantsColumn.tempo_recH,					false);
		add(ConstantsColumn.tempoH, ConstantsColumn.tempo_attesaH,				false);

		add(ConstantsColumn.mediaS, ConstantsColumn.media_tot,					false);
		add(ConstantsColumn.mediaS, ConstantsColumn.media_conv_eff,				false);
		add(ConstantsColumn.mediaS, ConstantsColumn.media_conv_tot,				false);
		add(ConstantsColumn.mediaS, ConstantsColumn.media_post,					false);
		add(ConstantsColumn.mediaS, ConstantsColumn.media_pre,					false);
		add(ConstantsColumn.mediaS, ConstantsColumn.media_rec,					false);
		add(ConstantsColumn.mediaS, ConstantsColumn.media_attesa,				false);

		add(ConstantsColumn.mediaH, ConstantsColumn.media_totH,					false);
		add(ConstantsColumn.mediaH, ConstantsColumn.media_conv_effH,			false);
		add(ConstantsColumn.mediaH, ConstantsColumn.media_conv_totH,			false);
		add(ConstantsColumn.mediaH, ConstantsColumn.media_postH,				false);
		add(ConstantsColumn.mediaH, ConstantsColumn.media_preH,					false);
		add(ConstantsColumn.mediaH, ConstantsColumn.media_recH,					false);
		add(ConstantsColumn.mediaH, ConstantsColumn.media_attesaH,				false);
		
		add(ConstantsColumn.lavorati,					true);
		add(ConstantsColumn.lavorati_chiuso,			false);
		add(ConstantsColumn.archiviazioni,				true);
		add(ConstantsColumn.archiviazioni_positivo,		false);
		add(ConstantsColumn.archiviazioni_utile,		false);
		add(ConstantsColumn.conversazioni,				true);
		addSeparatore("1");
		add(ConstantsColumn.appuntamenti,				true);
		add(ConstantsColumn.appuntamenti_confermato,	false);
		add(ConstantsColumn.appuntamenti_utile,			false);
		add(ConstantsColumn.contratti,					true);
		add(ConstantsColumn.contratti_confermato,		false);
		add(ConstantsColumn.contratti_utile,			false);
		
		
		return getAction();
	}

}
