package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class TrunkColumn  extends GenericColumn implements Serializable {

	private static final long serialVersionUID = 1L;

	public TrunkColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id,					true);
		add(ConstantsColumn.data_creazione,		false);
		add(ConstantsColumn.attivo, 			true);
		add(ConstantsColumn.nome,				true);
		add(ConstantsColumn.vtx, 				false);
		add(ConstantsColumn.vrx, 				false);
		add(ConstantsColumn.interurbane, 		true);
		add(ConstantsColumn.opposizione, 		true);
		add(ConstantsColumn.registrazione, 		false);
		add(ConstantsColumn.context, 			false);
		add(ConstantsColumn.firewall, 			false);
		add(ConstantsColumn.add_prefisso,		true);
		add(ConstantsColumn.antecall,			false);
		add(ConstantsColumn.callers,			false);
		add(ConstantsColumn.musicclass,			false);
		add(ConstantsColumn.allow, 				true);
		add(ConstantsColumn.max_contacts, 		true);
		addSeparatore("1");
		add(ConstantsColumn.utenti, 			false);
		add(ConstantsColumn.autodialer,			false);
		add(ConstantsColumn.aiuti, 				false);
		add(ConstantsColumn.risposte, 			false);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.attivo);
		ordinamento(ConstantsColumn.name);
		ordinamento(ConstantsColumn.vtx);
		ordinamento(ConstantsColumn.vrx);
		ordinamento(ConstantsColumn.interurbane);
		ordinamento(ConstantsColumn.opposizione);
		ordinamento(ConstantsColumn.registrazione);
		ordinamento(ConstantsColumn.context);
		ordinamento(ConstantsColumn.firewall);
		ordinamento(ConstantsColumn.add_prefisso);
		ordinamento(ConstantsColumn.antecall);
		ordinamento(ConstantsColumn.max_contacts);
		ordinamento(ConstantsColumn.allow);
		return getAction();
	}
	
}
