package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class UtenteColumn  extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	public UtenteColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id,						true);
		add(ConstantsColumn.data_creazione, 		false);
		add(ConstantsColumn.username, 				true);
		add(ConstantsColumn.nome_completo, 			true);
		add(ConstantsColumn.cognome, 				true);
		add(ConstantsColumn.nome, 					true);
		add(ConstantsColumn.email, 					true);
		add(ConstantsColumn.enabled, 				true);
		add(ConstantsColumn.statoAttiva,			true);
		add(ConstantsColumn.interno, 				true);
		add(ConstantsColumn.trunk, 					false);
		add(ConstantsColumn.cambioPassword, 		false);
		add(ConstantsColumn.generaEstratto, 		false);
		add(ConstantsColumn.disattivaFunzioni, 		false);
		add(ConstantsColumn.disattivaMessaggistica,	false);
		add(ConstantsColumn.notificaMessaggi, 		false);
		add(ConstantsColumn.notificaLogin, 			false);
		add(ConstantsColumn.visualizzaStorico, 		false);
		add(ConstantsColumn.otp, 					false);
		add(ConstantsColumn.ip_consentiti, 			false);
		add(ConstantsColumn.ip_bloccati, 			false);
		add(ConstantsColumn.data_login, 			false);
		add(ConstantsColumn.data_logout, 			false);
		add(ConstantsColumn.data_password, 			false);
		addSeparatore("1");
		add(ConstantsColumn.ruoli, 					false);
		add(ConstantsColumn.operatori, 				false);
		add(ConstantsColumn.supervisori, 			false);
		add(ConstantsColumn.agenti, 				false);
		add(ConstantsColumn.coordinatori,			false);
		add(ConstantsColumn.partner, 				false);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.username);
		ordinamento(ConstantsColumn.cognome);
		ordinamento(ConstantsColumn.nome);
		ordinamento(ConstantsColumn.email);
		ordinamento(ConstantsColumn.enabled);
		ordinamento(ConstantsColumn.cambioPassword);
		ordinamento(ConstantsColumn.generaEstratto);
		ordinamento(ConstantsColumn.disattivaMessaggistica);
		ordinamento(ConstantsColumn.disattivaFunzioni);
		ordinamento(ConstantsColumn.notificaLogin);
		ordinamento(ConstantsColumn.notificaMessaggi);
		ordinamento(ConstantsColumn.visualizzaStorico);
		ordinamento(ConstantsColumn.data_login);
		ordinamento(ConstantsColumn.data_logout);
		ordinamento(ConstantsColumn.data_password);
		ordinamento(ConstantsColumn.inverti);
		ordinamento(ConstantsColumn.data_inizio);
		ordinamento(ConstantsColumn.data_fine);
		ordinamento(ConstantsColumn.week_inizio);
		ordinamento(ConstantsColumn.week_fine);
		ordinamento(ConstantsColumn.ora_inizio);
		ordinamento(ConstantsColumn.ora_fine);
		return getAction();
	}

}
