package it.callite.constants;

import java.util.HashMap;
import java.util.Map;

import it.callite.model.Ruolo;

public class ConstantsRole {
	
	public static String ROLE_ANYBODY 		= "ROLE_ANYBODY";
	
	public static String ROLE_PANNELLO 		= "ROLE_PANNELLO";
	public static String ROLE_OPERATORE 	= "ROLE_OPERATORE";
	public static String ROLE_SUPERVISORE 	= "ROLE_SUPERVISORE";
	public static String ROLE_AGENTE 		= "ROLE_AGENTE";
	public static String ROLE_RETE 			= "ROLE_RETE";
	public static String ROLE_COORDINATORE 	= "ROLE_COORDINATORE";
	public static String ROLE_PARTNER 		= "ROLE_PARTNER";
	public static String ROLE_ESTRATTO 		= "ROLE_ESTRATTO";
	public static String ROLE_MESSAGGISTICA = "ROLE_MESSAGGISTICA";
	public static String ROLE_TELEFONICO 	= "ROLE_TELEFONICO";
	
	public static String ROLE_ADMIN 		= "ROLE_ADMIN";
	public static String ROLE_BACHECA 		= "ROLE_BACHECA";
	public static String ROLE_CLASSIFICA 	= "ROLE_CLASSIFICA";
	public static String ROLE_BACKOFFICE 	= "ROLE_BACKOFFICE";
	public static String ROLE_MANAGER 		= "ROLE_MANAGER";
	
	public static String STORICO 			= "STORICO";
	
	public static final Map<String, Ruolo> DEFAULTS = new HashMap<String, Ruolo>();
	static {
		DEFAULTS.put(ROLE_ADMIN, 		new Ruolo(ROLE_ADMIN));
		DEFAULTS.put(ROLE_BACKOFFICE, 	new Ruolo(ROLE_BACKOFFICE));	
		DEFAULTS.put(ROLE_BACHECA, 		new Ruolo(ROLE_BACHECA));
		DEFAULTS.put(ROLE_MANAGER, 		new Ruolo(ROLE_MANAGER));
		DEFAULTS.put(ROLE_CLASSIFICA, 	new Ruolo(ROLE_CLASSIFICA));
	};
	
	public static final Map<String, Ruolo> ROLES = new HashMap<String, Ruolo>();
	static {
		ROLES.put(ROLE_BACKOFFICE, 		new Ruolo(ROLE_BACKOFFICE));	
		ROLES.put(ROLE_MANAGER, 		new Ruolo(ROLE_MANAGER));
		ROLES.put(ROLE_OPERATORE, 		new Ruolo(ROLE_OPERATORE));
		ROLES.put(ROLE_SUPERVISORE,		new Ruolo(ROLE_SUPERVISORE));
		ROLES.put(ROLE_AGENTE, 			new Ruolo(ROLE_AGENTE));
		ROLES.put(ROLE_RETE, 			new Ruolo(ROLE_RETE));
		ROLES.put(ROLE_COORDINATORE, 	new Ruolo(ROLE_COORDINATORE));
		ROLES.put(ROLE_PARTNER, 		new Ruolo(ROLE_PARTNER));
	};
}



