package it.callite.constants.config;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.model.config.ConfigAnagrafica;
public class DefaultsAnagrafica {
	
	public static final String KEY_FORM_ANAGRAFICA_OPPOSIZIONE = "anagrafica.form_opposizione_tutto";
	public static final String KEY_FORM_ANAGRAFICA_FISSO_DUPLICATO = "anagrafica.form_duplicato_fisso";
	public static final String KEY_FORM_ANAGRAFICA_MOBILE_DUPLICATO = "anagrafica.form_duplicato_mobile";
	public static final String KEY_FORM_ANAGRAFICA_FAX_DUPLICATO = "anagrafica.form_duplicato_fax";
	public static final String KEY_FORM_ANAGRAFICA_ALTRO_DUPLICATO = "anagrafica.form_duplicato_altro";
	public static final String KEY_FORM_ANAGRAFICA_EMAIL_DUPLICATO = "anagrafica.form_duplicato_email";
	public static final String KEY_FORM_ANAGRAFICA_LINK_DUPLICATO = "anagrafica.form_duplicato_link";
	public static final String KEY_FORM_ANAGRAFICA_CODICE_DUPLICATO = "anagrafica.form_duplicato_codice";
	public static final String KEY_FORM_ANAGRAFICA_PARTITA_DUPLICATO = "anagrafica.form_duplicato_partita";
	public static final String KEY_FORM_ANAGRAFICA_FISSO_REGULARE = "anagrafica.form_regulare_fisso";
	public static final String KEY_FORM_ANAGRAFICA_MOBILE_REGULARE = "anagrafica.form_regulare_mobile";
	public static final String KEY_FORM_ANAGRAFICA_FAX_REGULARE = "anagrafica.form_regulare_fax";
	public static final String KEY_FORM_ANAGRAFICA_ALTRO_REGULARE = "anagrafica.form_regulare_altro";
	public static final String KEY_FORM_ANAGRAFICA_EMAIL_REGULARE = "anagrafica.form_regulare_email";
	public static final String KEY_FORM_ANAGRAFICA_LINK_REGULARE = "anagrafica.form_regulare_link";
	public static final String KEY_FORM_ANAGRAFICA_CODICE_REGULARE = "anagrafica.form_regulare_codice";
	public static final String KEY_FORM_ANAGRAFICA_PARTITA_REGULARE = "anagrafica.form_regulare_partita";
	public static final String KEY_FORM_ANAGRAFICA_FISSO_RICHIESTO = "anagrafica.form_richiesto_fisso";
	public static final String KEY_FORM_ANAGRAFICA_MOBILE_RICHIESTO = "anagrafica.form_richiesto_mobile";
	public static final String KEY_FORM_ANAGRAFICA_FAX_RICHIESTO = "anagrafica.form_richiesto_fax";
	public static final String KEY_FORM_ANAGRAFICA_ALTRO_RICHIESTO = "anagrafica.form_richiesto_altro";
	public static final String KEY_FORM_ANAGRAFICA_EMAIL_RICHIESTO = "anagrafica.form_richiesto_email";
	public static final String KEY_FORM_ANAGRAFICA_LINK_RICHIESTO = "anagrafica.form_richiesto_link";
	public static final String KEY_FORM_ANAGRAFICA_CODICE_RICHIESTO = "anagrafica.form_richiesto_codice";
	public static final String KEY_FORM_ANAGRAFICA_PARTITA_RICHIESTO = "anagrafica.form_richiesto_partita";
	public static final String KEY_FORM_IMPORT_CONDITION = "anagrafica.form_condition_import";
	public static final String KEY_TEMPLATE_ANAGRAFICA_OPPOSIZIONE = "anagrafica.template_opposizione_tutto";
	public static final String KEY_TEMPLATE_ANAGRAFICA_FISSO_DUPLICATO = "anagrafica.template_duplicato_fisso";
	public static final String KEY_TEMPLATE_ANAGRAFICA_MOBILE_DUPLICATO = "anagrafica.template_duplicato_mobile";
	public static final String KEY_TEMPLATE_ANAGRAFICA_FAX_DUPLICATO = "anagrafica.template_duplicato_fax";
	public static final String KEY_TEMPLATE_ANAGRAFICA_ALTRO_DUPLICATO = "anagrafica.template_duplicato_altro";
	public static final String KEY_TEMPLATE_ANAGRAFICA_EMAIL_DUPLICATO = "anagrafica.template_duplicato_email";
	public static final String KEY_TEMPLATE_ANAGRAFICA_LINK_DUPLICATO = "anagrafica.template_duplicato_link";
	public static final String KEY_TEMPLATE_ANAGRAFICA_CODICE_DUPLICATO = "anagrafica.template_duplicato_codice";
	public static final String KEY_TEMPLATE_ANAGRAFICA_PARTITA_DUPLICATO = "anagrafica.template_duplicato_partita";
	public static final String KEY_TEMPLATE_ANAGRAFICA_FISSO_REGULARE = "anagrafica.template_regulare_fisso";
	public static final String KEY_TEMPLATE_ANAGRAFICA_MOBILE_REGULARE = "anagrafica.template_regulare_mobile";
	public static final String KEY_TEMPLATE_ANAGRAFICA_FAX_REGULARE = "anagrafica.template_regulare_fax";
	public static final String KEY_TEMPLATE_ANAGRAFICA_ALTRO_REGULARE = "anagrafica.template_regulare_altro";
	public static final String KEY_TEMPLATE_ANAGRAFICA_EMAIL_REGULARE = "anagrafica.template_regulare_email";
	public static final String KEY_TEMPLATE_ANAGRAFICA_LINK_REGULARE = "anagrafica.template_regulare_link";
	public static final String KEY_TEMPLATE_ANAGRAFICA_CODICE_REGULARE = "anagrafica.template_regulare_codice";
	public static final String KEY_TEMPLATE_ANAGRAFICA_PARTITA_REGULARE = "anagrafica.template_regulare_partita";
	public static final String KEY_TEMPLATE_ANAGRAFICA_FISSO_RICHIESTO = "anagrafica.template_richiesto_fisso";
	public static final String KEY_TEMPLATE_ANAGRAFICA_MOBILE_RICHIESTO = "anagrafica.template_richiesto_mobile";
	public static final String KEY_TEMPLATE_ANAGRAFICA_FAX_RICHIESTO = "anagrafica.template_richiesto_fax";
	public static final String KEY_TEMPLATE_ANAGRAFICA_ALTRO_RICHIESTO = "anagrafica.template_richiesto_altro";
	public static final String KEY_TEMPLATE_ANAGRAFICA_EMAIL_RICHIESTO = "anagrafica.template_richiesto_email";
	public static final String KEY_TEMPLATE_ANAGRAFICA_LINK_RICHIESTO = "anagrafica.template_richiesto_link";
	public static final String KEY_TEMPLATE_ANAGRAFICA_CODICE_RICHIESTO = "anagrafica.template_richiesto_codice";
	public static final String KEY_TEMPLATE_ANAGRAFICA_PARTITA_RICHIESTO = "anagrafica.template_richiesto_partita";
	public static final String KEY_TEMPLATE_IMPORT_CONDITION = "anagrafica.template_condition_import";
	public static final String KEY_TEMPLATE_ANAGRAFICA_CONSENTITE = "anagrafica.template_anagrafiche_consentite";
	public static final String KEY_TEMPLATE_DIMENSIONE_MASSIMA = "anagrafica.template_massima_dimensione";
	public static final String KEY_TEMPLATE_MASSIMO_EXCEL = "anagrafica.template_massimo_excel";
	public static final String KEY_TEMPLATE_BLOCCA_IMPORTAZIONE = "anagrafica.template_blocca_importazione";
	public static final String KEY_OPPOSIZIONE_IMPORT_CONDITION = "anagrafica.opposizione_condition_import";
	public static final String KEY_TUTTO_STATO_CAMPAGNA = "anagrafica.tutto_stato_campagna";
	public static final String KEY_TUTTO_ATTIVO_CAMPAGNA = "anagrafica.tutto_attivo_campagna";
	public static final String KEY_TUTTO_STATO_LISTA = "anagrafica.tutto_stato_lista";
	public static final String KEY_TUTTO_ATTIVO_LISTA = "anagrafica.tutto_attivo_lista";
	
	public static final Map<String, ConfigAnagrafica> DEFAULTS;
	static {
		Map<String, ConfigAnagrafica> aMap = new HashMap<String, ConfigAnagrafica>();
		aMap.put(KEY_FORM_ANAGRAFICA_OPPOSIZIONE, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_OPPOSIZIONE, ConstantsMap.validatore3, ConstantsMap.getValidatoreA(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_FISSO_DUPLICATO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_FISSO_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoForm(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_MOBILE_DUPLICATO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_MOBILE_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoForm(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_FAX_DUPLICATO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_FAX_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoForm(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_ALTRO_DUPLICATO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_ALTRO_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoForm(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_EMAIL_DUPLICATO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_EMAIL_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoForm(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_LINK_DUPLICATO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_LINK_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoForm(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_CODICE_DUPLICATO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_CODICE_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoForm(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_PARTITA_DUPLICATO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_PARTITA_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoForm(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_FISSO_REGULARE, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_FISSO_REGULARE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_MOBILE_REGULARE, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_MOBILE_REGULARE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_FAX_REGULARE, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_FAX_REGULARE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_ALTRO_REGULARE, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_ALTRO_REGULARE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_EMAIL_REGULARE, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_EMAIL_REGULARE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_LINK_REGULARE, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_LINK_REGULARE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_CODICE_REGULARE, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_CODICE_REGULARE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_PARTITA_REGULARE, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_PARTITA_REGULARE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_FISSO_RICHIESTO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_FISSO_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_MOBILE_RICHIESTO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_MOBILE_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_FAX_RICHIESTO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_FAX_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_ALTRO_RICHIESTO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_ALTRO_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_EMAIL_RICHIESTO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_EMAIL_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_LINK_RICHIESTO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_LINK_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_CODICE_RICHIESTO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_CODICE_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_ANAGRAFICA_PARTITA_RICHIESTO, new ConfigAnagrafica(KEY_FORM_ANAGRAFICA_PARTITA_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_FORM_IMPORT_CONDITION, new ConfigAnagrafica(KEY_FORM_IMPORT_CONDITION, ConstantsMap.validatore0, ConstantsMap.getValidatoreA(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_OPPOSIZIONE, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_OPPOSIZIONE, ConstantsMap.validatore3, ConstantsMap.getValidatoreA(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_FISSO_DUPLICATO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_FISSO_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoTemplate(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_MOBILE_DUPLICATO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_MOBILE_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoTemplate(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_FAX_DUPLICATO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_FAX_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoTemplate(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_ALTRO_DUPLICATO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_ALTRO_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoTemplate(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_EMAIL_DUPLICATO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_EMAIL_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoTemplate(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_LINK_DUPLICATO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_LINK_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoTemplate(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_CODICE_DUPLICATO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_CODICE_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoTemplate(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_PARTITA_DUPLICATO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_PARTITA_DUPLICATO, ConstantsMap.no, ConstantsMap.getDuplicatoTemplate(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_FISSO_REGULARE, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_FISSO_REGULARE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_MOBILE_REGULARE, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_MOBILE_REGULARE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_FAX_REGULARE, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_FAX_REGULARE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_ALTRO_REGULARE, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_ALTRO_REGULARE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_EMAIL_REGULARE, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_EMAIL_REGULARE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_LINK_REGULARE, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_LINK_REGULARE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_CODICE_REGULARE, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_CODICE_REGULARE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_PARTITA_REGULARE, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_PARTITA_REGULARE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_FISSO_RICHIESTO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_FISSO_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_MOBILE_RICHIESTO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_MOBILE_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_FAX_RICHIESTO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_FAX_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_ALTRO_RICHIESTO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_ALTRO_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_EMAIL_RICHIESTO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_EMAIL_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_LINK_RICHIESTO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_LINK_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_CODICE_RICHIESTO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_CODICE_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_PARTITA_RICHIESTO, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_PARTITA_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_TEMPLATE_IMPORT_CONDITION, new ConfigAnagrafica(KEY_TEMPLATE_IMPORT_CONDITION, ConstantsMap.validatore1, ConstantsMap.getValidatoreA(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TEMPLATE_ANAGRAFICA_CONSENTITE, new ConfigAnagrafica(KEY_TEMPLATE_ANAGRAFICA_CONSENTITE, ConstantsMap.no, ConstantsMap.getConsentiteForm(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TEMPLATE_DIMENSIONE_MASSIMA, new ConfigAnagrafica(KEY_TEMPLATE_DIMENSIONE_MASSIMA, String.valueOf(ConstantsGlobal.defaultImport * ConstantsGlobal.kb), "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_TEMPLATE_MASSIMO_EXCEL, new ConfigAnagrafica(KEY_TEMPLATE_MASSIMO_EXCEL,String.valueOf(ConstantsGlobal.massimoImport), "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_TEMPLATE_BLOCCA_IMPORTAZIONE, new ConfigAnagrafica(KEY_TEMPLATE_BLOCCA_IMPORTAZIONE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_OPPOSIZIONE_IMPORT_CONDITION, new ConfigAnagrafica(KEY_OPPOSIZIONE_IMPORT_CONDITION, ConstantsMap.validatore3, ConstantsMap.getValidatoreA(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TUTTO_STATO_CAMPAGNA, new ConfigAnagrafica(KEY_TUTTO_STATO_CAMPAGNA, ConstantsMap.statoL0, ConstantsMap.getStatiL(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TUTTO_ATTIVO_CAMPAGNA, new ConfigAnagrafica(KEY_TUTTO_ATTIVO_CAMPAGNA, ConstantsMap.attivoL0, ConstantsMap.getAttivoL(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TUTTO_STATO_LISTA, new ConfigAnagrafica(KEY_TUTTO_STATO_LISTA, ConstantsMap.statoL0, ConstantsMap.getStatiL(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_TUTTO_ATTIVO_LISTA, new ConfigAnagrafica(KEY_TUTTO_ATTIVO_LISTA, ConstantsMap.attivoL0, ConstantsMap.getAttivoL(), ConstantsGlobal.lista, false, true));
		DEFAULTS = Collections.unmodifiableMap(aMap);
	};
}