package it.callite.constants.config;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.model.config.ConfigPannello;
public class DefaultsPannello  {
	public static final String KEY_PANNELLO_NUMERO_PAGINA_CAMPAGNE = "pannello.numero_pagina_campagne";
	public static final String KEY_PANNELLO_RILASCIO_CHIAMATE = "pannello.mostra_rilascio_chiamate";
	public static final String KEY_PANNELLO_PRECEDENZA_PERSONALI = "pannello.precedenza_personali";
	public static final String KEY_PANNELLO_VISUALIZZA_LISTA_PERSONALI = "pannello.visualizza_lista_personali";
	public static final String KEY_PANNELLO_MODE_CALENDAR = "pannello.mode_calendar";
	public static final String KEY_PANNELLO_REGISTRA_LOG = "pannello.registrazione_log";
	public static final String KEY_PANNELLO_MOSTRA_STORIA_PANNELLO = "pannello.mostra_storia_pannello";
	public static final String KEY_PANNELLO_MOSTRA_STORIA_GENERIC = "pannello.mostra_storia_generic";
	public static final String KEY_PANNELLO_MOSTRA_ESITI_INLINE = "pannello.mostra_esiti_inline";
	public static final String KEY_PANNELLO_MOSTRA_CAMPI_INLINE = "pannello.mostra_campi_inline";
	public static final String KEY_PANNELLO_ENTRA_SUPERVISORE = "pannello.entra_supervisore";
	public static final String KEY_PANNELLO_MENU_RUOLO = "pannello.mostra_menu_ruolo";
	public static final String KEY_PANNELLO_RICERCA_DATE_INIZIALI = "pannello.ricerca_date_iniziali";
	public static final String KEY_PANNELLO_RIEPILOGO_REGISTRO = "pannello.mostra_registro_riepilogo";
	public static final String KEY_PANNELLO_STATISTICHE_SUPERVISORE = "pannello.mostra_statistiche_supervisore";
	public static final String KEY_PANNELLO_STATISTICHE_OPERATORE = "pannello.mostra_statistiche_operatore";
	public static final String KEY_PANNELLO_ESTRATTO = "pannello.menu_estratto";
	public static final String KEY_PANNELLO_SELEZIONA_TELEFONO = "pannello.mostra_filtro_telefono";
	public static final String KEY_PANNELLO_SELEZIONA_GENERALE = "pannello.mostra_filtro_generale";
	public static final String KEY_PANNELLO_CHIAMATA_DIRETTA = "pannello.mostra_chiamata_diretta";
	public static final String KEY_PANNELLO_SELEZIONA_ORDINAMENTO = "pannello.mostra_filtro_ordinamento";
	public static final String KEY_PANNELLO_MODE_EDITOR = "pannello.mode_editor";
	public static final String KEY_PANNELLO_MODE_FLASH = "pannello.allow_flash";
	public static final String KEY_PANNELLO_USCITA_AUTOMATICA = "pannello.uscita_automatica";
	public static final String KEY_PANNELLO_FILTRO_MULTIPLO = "pannello.filtro_multiplo";
	public static final String KEY_PANNELLO_PAGINATORE_MULTIPLO = "pannello.paginatore_multiplo";
	public static final String KEY_PANNELLO_PERMETTI_PRENOTAZIONE_INTERNA = "pannello.permetti_prenotazione_interno";
	public static final String KEY_PANNELLO_PERMETTI_PRENOTAZIONE_ESTERNA = "pannello.permetti_prenotazione_esterno";
	public static final String KEY_PANNELLO_PERMETTI_CONTATTO_INTERNA = "pannello.permetti_contatto_interno";
	public static final String KEY_PANNELLO_PERMETTI_CONTATTO_ESTERNA = "pannello.permetti_contatto_esterno";
	public static final String KEY_PANNELLO_PERMETTI_CAMBIO_TRUNK = "pannello.permetti_cambio_trunk";
	public static final String KEY_PANNELLO_PERMETTI_RESET_CONTATTO = "pannello.permetti_reset_contatti";
	public static final String KEY_PANNELLO_PERMETTI_REVERT = "pannello.permetti_revert";
	public static final String KEY_PANNELLO_ABILITA_SINCRONIA = "pannello.abilita_sincronia";
	public static final String KEY_PANNELLO_ABILITA_SINCRONIA_C = "pannello.abilita_sincronia_C";
	public static final String KEY_PANNELLO_ABILITA_SINCRONIA_A = "pannello.abilita_sincronia_A";
	public static final String KEY_PANNELLO_ABILITA_SINCRONIA_M = "pannello.abilita_sincronia_M";
	public static final String KEY_PANNELLO_ABILITA_SINCRONIA_N = "pannello.abilita_sincronia_N";
	public static final String KEY_PANNELLO_ABILITA_SINCRONIA_P = "pannello.abilita_sincronia_P";
	public static final String KEY_PANNELLO_FORMATTA_TABELLA = "pannello.tabella_formatta";
	public static final String KEY_PANNELLO_RICERCA_INDIRIZZO = "pannello.ricerca_indirizzo";
	public static final String KEY_PANNELLO_RICERCA_CONSENSO = "pannello.ricerca_consenso";
	public static final String KEY_PANNELLO_RICERCA_DOMANDA_CONTRATTO = "pannello.ricerca_domanda_contratto";
	public static final String KEY_PANNELLO_RICERCA_DOMANDA_ANAGRAFICA = "pannello.ricerca_domanda_anagrafica";
	public static final String KEY_PANNELLO_RICERCA_STORICO_CONTRATTO = "pannello.ricerca_storico_contratto";
	public static final String KEY_PANNELLO_RICERCA_STORICO_CONTATTO = "pannello.ricerca_storico_contatto";
	public static final String KEY_PANNELLO_RICERCA_STORICO_APPUNTAMENTO = "pannello.ricerca_storico_appuntamento";
	public static final String KEY_PANNELLO_RICERCA_DUPLICATI_VUOTI = "pannello.ricerca_duplicati_vuoti";
	public static final String KEY_PANNELLO_ATTIVO_CONTROL = "pannello.tempo_attivo";
	public static final String KEY_PANNELLO_GEOCODE_CONTROL = "pannello.geocode_control";
	public static final String KEY_PANNELLO_STATO_PRECARICATO = "pannello.stato_precaricato";
	public static final String KEY_PANNELLO_MOSTRA_OCCUPATO = "pannello.mostra_occupato";
	public static final String KEY_PANNELLO_TOGGLE_IMMEDIATE = "pannello.toggle_immediate";
	public static final String KEY_PANNELLO_TOGGLE_OPENED = "pannello.toggle_opened_pannello";
	public static final String KEY_PANNELLO_TOGGLE_CLOSED = "pannello.toggle_closed_pannello";
	public static final String KEY_PANNELLO_GESTIONE_REGISTRAZIONE = "pannello.gestione_registrazione";
	public static final String KEY_PANNELLO_VISUALIZZA_RUOLI = "pannello.visualizza_ruoli";
	public static final String KEY_PANNELLO_VISUALIZZA_CAMPAGNE = "pannello.visualizza_campagne";
	public static final String KEY_PANNELLO_VISUALIZZA_STORICO = "pannello.visualizza_storico";
	public static final String KEY_PANNELLO_VISUALIZZA_REGISTRAZIONI = "pannello.visualizza_registrazioni";
	public static final String KEY_PANNELLO_VISUALIZZA_CRONOMETRO = "pannello.visualizza_cronometro";
	public static final String KEY_PANNELLO_VISUALIZZA_TIMER = "pannello.visualizza_timer";
	public static final String KEY_PANNELLO_VISUALIZZA_DETTAGLIO = "pannello.visualizza_dettaglio";
	public static final String KEY_PANNELLO_VISUALIZZA_TERMINA = "pannello.visualizza_termina";
	public static final String KEY_PANNELLO_VISUALIZZA_SEMAFORO = "pannello.visualizza_semaforo";
	public static final String KEY_PANNELLO_VISUALIZZA_DATI = "pannello.visualizza_modifica_dati";
	public static final String KEY_PANNELLO_VISUALIZZA_PASSWORD = "pannello.visualizza_modifica_password";
	public static final String KEY_PANNELLO_MOSTRA_RICHIAMI_PROSSIMI = "pannello.mostra_richiami_prossimi";
	public static final String KEY_PANNELLO_MOSTRA_LAVORAZIONE_OPERATORE = "pannello.mostra_lavorazione_operatore";
	public static final String KEY_PANNELLO_MOSTRA_LAVORAZIONE_SUPERVISORE = "pannello.mostra_lavorazione_supervisore";
	public static final String KEY_PANNELLO_INSERIMENTO_LISTE = "pannello.imposta_inserimento_liste";
	public static final String KEY_PANNELLO_ESTRAZIONE_LISTE = "pannello.imposta_estrazione_liste";
	public static final String KEY_PANNELLO_ESTRAZIONE_STATO = "pannello.imposta_estrazione_stato";
	public static final String KEY_PANNELLO_ESTRAZIONE_CONTATTI = "pannello.imposta_estrazione_contatto";
	public static final String KEY_PANNELLO_ESTRAZIONE_PRIORITA = "pannello.imposta_estrazione_priorita";
	public static final String KEY_PANNELLO_ESTRAZIONE_CAMPAGNA = "pannello.imposta_estrazione_campagna";
	public static final String KEY_PANNELLO_MASSIMO_LIVELLO_RETE = "pannello.massimo_livello_rete";
	public static final String KEY_PANNELLO_CONSIDERA_QUALIFICA = "pannello.considera_qualifica";
	public static final String KEY_PANNELLO_VALIDA_CALENDARIO = "pannello.valida_calendario";
	public static final String KEY_PANNELLO_VALIDA_PRODOTTO = "pannello.valida_prodotto";
	public static final String KEY_PANNELLO_STAMPA_LOG = "pannello.stampa_log";
	public static final String KEY_PANNELLO_RICERCA_LOG = "pannello.ricerca_log";
	public static final String KEY_PANNELLO_RICERCA_COLONNA = "pannello.ricerca_colonna";
	public static final String KEY_PANNELLO_RICERCA_TIMEOUT = "pannello.ricerca_timeout";
	public static final String KEY_PANNELLO_RICERCA_SUBQUERY = "pannello.ricerca_subquery";
	public static final String KEY_PANNELLO_RICERCA_SOMMA = "pannello.ricerca_somma";
	public static final String KEY_PANNELLO_REWRITE_PDA = "pannello.rewrite_pda";
	public static final String KEY_PANNELLO_FORMATTA_TEMPI = "pannello.formatta_tempi";
	public static final String KEY_PANNELLO_CALENDARIO = "pannello.apertura_calendario";
	public static final String KEY_PANNELLO_NOTIFICA_CONCATENA_FILE = "pannello.notifica_concatena_file";
	public static final String KEY_PANNELLO_CALENDARIO_MIN_TEMPO_APPUNTAMENTO = "pannello.durata_appuntamento";
	public static final String KEY_PANNELLO_CALENDARIO_TIPO_APPUNTAMENTO = "pannello.tipo_appuntamento";
	public static final String KEY_PANNELLO_IMMEDIATE_CALL_GENERIC = "pannello.immediate_call_generic";
	public static final String KEY_PANNELLO_IMMEDIATE_CALL_PANNELLO = "pannello.immediate_call_pannello";
	public static final String KEY_PANNELLO_CALENDARIO_MIN_TEMPO_NOTA = "pannello.durata_nota";
	public static final String KEY_PANNELLO_CALENDARIO_TIPO_NOTA = "pannello.tipo_nota";
	public static final String KEY_PANNELLO_SELEZIONA_TUTTI = "pannello.seleziona_tutti";
	public static final String KEY_PANNELLO_MOSTRA_PANNELLO = "pannello.mostra_pannello";
	public static final String KEY_PANNELLO_GIORNI_APPUNTAMENTO = "pannello.giorni_appuntamento";
	public static final String KEY_PANNELLO_MAX_ALLEGATO = "pannello.massimo_allegato";
	public static final String KEY_PANNELLO_GIORNI_CONTATTO = "pannello.giorni_contatto";
	public static final String KEY_PANNELLO_GIORNI_CONTRATTO = "pannello.giorni_contratto";
	public static final String KEY_PANNELLO_ALLEGATO_CONTATTO = "pannello.allegato_contatto";
	public static final String KEY_PANNELLO_ALLEGATO_APPUNTAMENTO = "pannello.allegato_appuntamento";
	public static final String KEY_PANNELLO_ALLEGATO_CONTRATTO = "pannello.allegato_contratto";
	public static final String KEY_PANNELLO_ALLEGATO_ANAGRAFICA = "pannello.allegato_anagrafica";
	public static final String KEY_PANNELLO_SPOSTAMENTO_CALENDARIO = "pannello.spostamento_calendario";
	public static final String KEY_PANNELLO_DATA_CAMPO_AGGIUNTIVO = "pannello.data_campo_aggiuntivo";
	public static final String KEY_PANNELLO_RAGGRUPPA_CAMPO_AGGIUNTIVO = "pannello.raggruppa_campo_aggiuntivo";
	public static final String KEY_PANNELLO_RAGGRUPPA_CAMPO_TEMPLATE = "pannello.raggruppa_campo_template";
	public static final String KEY_PANNELLO_MODIFICA_CAMPO_AGGIUNTIVO = "pannello.modifica_campo_aggiuntivo";
	public static final String KEY_PANNELLO_FORMATTA_CAMPO_AGGIUNTIVO = "pannello.formatta_campo_aggiuntivo";
	public static final String KEY_PANNELLO_DATI_EXTRA_OPERATORE = "pannello.dati_operatore_extra";
	public static final String KEY_PANNELLO_MARCATURA_MULTIPLA = "pannello.marcatura_multipla";
	public static final String KEY_PANNELLO_SEPARA_DATI = "pannello.separa_dati";
	public static final String KEY_PANNELLO_SEPARA_TZ = "pannello.separa_tz";
	public static final String KEY_PANNELLO_APERTURA_PULIZIA_SAVE = "pannello.apertura_pulizia_save";
	public static final String KEY_PANNELLO_APERTURA_PULIZIA_COMPLETE = "pannello.apertura_pulizia_complete";
	public static final String KEY_PANNELLO_APERTURA_PULIZIA_ENTRY = "pannello.apertura_pulizia_entry";
	public static final String KEY_PANNELLO_APERTURA_PULIZIA_IMPORT = "pannello.apertura_pulizia_import";
	public static final String KEY_PANNELLO_APERTURA_PULIZIA_OPEN = "pannello.apertura_pulizia_open";
	public static final String KEY_PANNELLO_MASSIMO_VALORE_EXPORT = "pannello.massimo_valore_export";
	public static final String KEY_PANNELLO_MASSIMO_VALORE_LAVORO = "pannello.massimo_valore_lavoro";
	public static final String KEY_PANNELLO_ABILITA_RICERCA_AUTOMATICA = "pannello.abilita_ricerca_automatica";
	public static final String KEY_PANNELLO_AVVIO_RICERCA_AUTOMATICA = "pannello.avvio_ricerca_automatica";
	public static final String KEY_PANNELLO_ABILITA_RICERCA_MANUALE = "pannello.abilita_ricerca_manuale";
	public static final String KEY_PANNELLO_ABILITA_RICERCA_TASTO = "pannello.abilita_ricerca_tasto";
	public static final String KEY_PANNELLO_BLOCCA_ELIMINAZIONE = "pannello.blocca_eliminazione";
	public static final String KEY_PANNELLO_LIMITA_DATI_BACKOFFICE = "pannello.limita_dati_backoffice";
	public static final String KEY_PANNELLO_LIMITA_DATI_MANAGER = "pannello.limita_dati_manager";
	public static final String KEY_PANNELLO_LIMITA_CAMPAGNA_BACKOFFICE = "pannello.limita_campagna_backoffice";
	public static final String KEY_PANNELLO_LIMITA_FILTRI_CALENDARIO = "pannello.limita_filtri_calendario";
	public static final String KEY_PANNELLO_LIMITA_GIORNI_CALENDARIO = "pannello.limita_giorni_calendario";
	public static final String KEY_PANNELLO_LIMITA_CAMPAGNA_MANAGER = "pannello.limita_campagna_manager";
	public static final String KEY_PANNELLO_LIMITA_AZIONI_BACKOFFICE = "pannello.limita_azioni_backoffice";
	public static final String KEY_PANNELLO_LIMITA_AZIONI_MANAGER = "pannello.limita_azioni_manager";
	public static final String KEY_PANNELLO_LIMITA_RICERCA_BACKOFFICE = "pannello.limita_ricerca_backoffice";
	public static final String KEY_PANNELLO_LIMITA_RICERCA_MANAGER = "pannello.limita_ricerca_manager";
	public static final String KEY_PANNELLO_LIMITA_MODIFICA_BACKOFFICE = "pannello.limita_modifica_backoffice";
	public static final String KEY_PANNELLO_LIMITA_MODIFICA_MANAGER = "pannello.limita_modifica_manager";
	public static final String KEY_PANNELLO_VISUALIZZA_IDENTIFICATIVO = "pannello.visualizza_identificativo";
	public static final String KEY_PANNELLO_GIORNI_PRIVACY = "pannello.giorni_privacy";
	public static final String KEY_PANNELLO_NORMATIVA_PRIVACY = "pannello.normativa_privacy";
	public static final String KEY_PANNELLO_VISUALIZZA_PRIVACY = "pannello.visualizza_privacy";
	public static final String KEY_PANNELLO_MODIFICA_PRIVACY = "pannello.modifica_privacy";
	public static final String KEY_PANNELLO_ALLEGATI_MASSIVO = "pannello.allegati_massivo";
	public static final String KEY_PANNELLO_TIPO_PRIVACY = "pannello.tipo_privacy";
	public static final String KEY_PANNELLO_ALLEGATI_VALIDI = "pannello.allegati.validi";
	
	public static final Map<String, ConfigPannello> DEFAULTS;

	static {
		Map<String, ConfigPannello> aMap = new HashMap<String, ConfigPannello>();
		aMap.put(KEY_PANNELLO_GIORNI_PRIVACY, new ConfigPannello(KEY_PANNELLO_GIORNI_PRIVACY, "0", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PANNELLO_NORMATIVA_PRIVACY, new ConfigPannello(KEY_PANNELLO_NORMATIVA_PRIVACY, "",  ".+" , ConstantsGlobal.editore, false, true));
		aMap.put(KEY_PANNELLO_VISUALIZZA_PRIVACY, new ConfigPannello(KEY_PANNELLO_VISUALIZZA_PRIVACY, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_MODIFICA_PRIVACY, new ConfigPannello(KEY_PANNELLO_MODIFICA_PRIVACY, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_TIPO_PRIVACY, new ConfigPannello(KEY_PANNELLO_TIPO_PRIVACY, ConstantsMap.privacy1, ConstantsMap.getPrivacy(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_BLOCCA_ELIMINAZIONE, new ConfigPannello(KEY_PANNELLO_BLOCCA_ELIMINAZIONE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_ALLEGATI_MASSIVO, new ConfigPannello(KEY_PANNELLO_ALLEGATI_MASSIVO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_VISUALIZZA_IDENTIFICATIVO, new ConfigPannello(KEY_PANNELLO_VISUALIZZA_IDENTIFICATIVO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_ABILITA_SINCRONIA, new ConfigPannello(KEY_PANNELLO_ABILITA_SINCRONIA, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_ABILITA_SINCRONIA_C, new ConfigPannello(KEY_PANNELLO_ABILITA_SINCRONIA_C, "0", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PANNELLO_ABILITA_SINCRONIA_A, new ConfigPannello(KEY_PANNELLO_ABILITA_SINCRONIA_A, "0", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PANNELLO_ABILITA_SINCRONIA_M, new ConfigPannello(KEY_PANNELLO_ABILITA_SINCRONIA_M, "0", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PANNELLO_ABILITA_SINCRONIA_N, new ConfigPannello(KEY_PANNELLO_ABILITA_SINCRONIA_N, "0", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PANNELLO_ABILITA_SINCRONIA_P, new ConfigPannello(KEY_PANNELLO_ABILITA_SINCRONIA_P, "0", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PANNELLO_ABILITA_RICERCA_TASTO, new ConfigPannello(KEY_PANNELLO_ABILITA_RICERCA_TASTO, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_ABILITA_RICERCA_MANUALE, new ConfigPannello(KEY_PANNELLO_ABILITA_RICERCA_MANUALE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_ABILITA_RICERCA_AUTOMATICA, new ConfigPannello(KEY_PANNELLO_ABILITA_RICERCA_AUTOMATICA, "0", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PANNELLO_AVVIO_RICERCA_AUTOMATICA, new ConfigPannello(KEY_PANNELLO_AVVIO_RICERCA_AUTOMATICA, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_LIMITA_RICERCA_MANAGER, new ConfigPannello(KEY_PANNELLO_LIMITA_RICERCA_MANAGER, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_LIMITA_RICERCA_BACKOFFICE, new ConfigPannello(KEY_PANNELLO_LIMITA_RICERCA_BACKOFFICE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_LIMITA_AZIONI_BACKOFFICE, new ConfigPannello(KEY_PANNELLO_LIMITA_AZIONI_BACKOFFICE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_LIMITA_AZIONI_MANAGER, new ConfigPannello(KEY_PANNELLO_LIMITA_AZIONI_MANAGER, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_LIMITA_CAMPAGNA_MANAGER, new ConfigPannello(KEY_PANNELLO_LIMITA_CAMPAGNA_MANAGER, ConstantsMap.campagna3, ConstantsMap.getCampagna(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_LIMITA_CAMPAGNA_BACKOFFICE, new ConfigPannello(KEY_PANNELLO_LIMITA_CAMPAGNA_BACKOFFICE, ConstantsMap.campagna0, ConstantsMap.getCampagna(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_LIMITA_FILTRI_CALENDARIO, new ConfigPannello(KEY_PANNELLO_LIMITA_FILTRI_CALENDARIO, ConstantsMap.calendario0, ConstantsMap.getCalendario(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_LIMITA_GIORNI_CALENDARIO, new ConfigPannello(KEY_PANNELLO_LIMITA_GIORNI_CALENDARIO, ConstantsMap.calendar4, ConstantsMap.getCalendar(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_LIMITA_DATI_BACKOFFICE, new ConfigPannello(KEY_PANNELLO_LIMITA_DATI_BACKOFFICE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_LIMITA_DATI_MANAGER, new ConfigPannello(KEY_PANNELLO_LIMITA_DATI_MANAGER, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_LIMITA_MODIFICA_BACKOFFICE, new ConfigPannello(KEY_PANNELLO_LIMITA_MODIFICA_BACKOFFICE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_LIMITA_MODIFICA_MANAGER, new ConfigPannello(KEY_PANNELLO_LIMITA_MODIFICA_MANAGER, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_APERTURA_PULIZIA_SAVE, new ConfigPannello(KEY_PANNELLO_APERTURA_PULIZIA_SAVE, ConstantsMap.NIENTE, ConstantsMap.getTipoPopup(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_APERTURA_PULIZIA_IMPORT, new ConfigPannello(KEY_PANNELLO_APERTURA_PULIZIA_IMPORT, ConstantsMap.NIENTE, ConstantsMap.getTipoPopup(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_APERTURA_PULIZIA_COMPLETE, new ConfigPannello(KEY_PANNELLO_APERTURA_PULIZIA_COMPLETE, ConstantsMap.NIENTE, ConstantsMap.getTipoPopup(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_APERTURA_PULIZIA_ENTRY, new ConfigPannello(KEY_PANNELLO_APERTURA_PULIZIA_ENTRY, ConstantsMap.NIENTE, ConstantsMap.getTipoPopup(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_APERTURA_PULIZIA_OPEN, new ConfigPannello(KEY_PANNELLO_APERTURA_PULIZIA_OPEN, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_SEPARA_DATI, new ConfigPannello(KEY_PANNELLO_SEPARA_DATI, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_SEPARA_TZ, new ConfigPannello(KEY_PANNELLO_SEPARA_TZ, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_REWRITE_PDA, new ConfigPannello(KEY_PANNELLO_REWRITE_PDA, ConstantsMap.rewrite0, ConstantsMap.getRewrite(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_DATA_CAMPO_AGGIUNTIVO, new ConfigPannello(KEY_PANNELLO_DATA_CAMPO_AGGIUNTIVO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_RAGGRUPPA_CAMPO_AGGIUNTIVO, new ConfigPannello(KEY_PANNELLO_RAGGRUPPA_CAMPO_AGGIUNTIVO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_RAGGRUPPA_CAMPO_TEMPLATE, new ConfigPannello(KEY_PANNELLO_RAGGRUPPA_CAMPO_TEMPLATE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_MODIFICA_CAMPO_AGGIUNTIVO, new ConfigPannello(KEY_PANNELLO_MODIFICA_CAMPO_AGGIUNTIVO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_NOTIFICA_CONCATENA_FILE, new ConfigPannello(KEY_PANNELLO_NOTIFICA_CONCATENA_FILE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_CALENDARIO, new ConfigPannello(KEY_PANNELLO_CALENDARIO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_MARCATURA_MULTIPLA, new ConfigPannello(KEY_PANNELLO_MARCATURA_MULTIPLA, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_ALLEGATO_CONTATTO, new ConfigPannello(KEY_PANNELLO_ALLEGATO_CONTATTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_ALLEGATO_APPUNTAMENTO, new ConfigPannello(KEY_PANNELLO_ALLEGATO_APPUNTAMENTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_ALLEGATO_CONTRATTO, new ConfigPannello(KEY_PANNELLO_ALLEGATO_CONTRATTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_ALLEGATO_ANAGRAFICA, new ConfigPannello(KEY_PANNELLO_ALLEGATO_ANAGRAFICA, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_SPOSTAMENTO_CALENDARIO, new ConfigPannello(KEY_PANNELLO_SPOSTAMENTO_CALENDARIO, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_CALENDARIO_MIN_TEMPO_APPUNTAMENTO, new ConfigPannello(KEY_PANNELLO_CALENDARIO_MIN_TEMPO_APPUNTAMENTO, "" + ConstantsGlobal.defaultTimeI, ConstantsMap.getTimeAppuntamentoString(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_CALENDARIO_TIPO_APPUNTAMENTO, new ConfigPannello(KEY_PANNELLO_CALENDARIO_TIPO_APPUNTAMENTO, ConstantsMap.appuntamento1, ConstantsMap.getTipoAppuntamento(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_IMMEDIATE_CALL_GENERIC, new ConfigPannello(KEY_PANNELLO_IMMEDIATE_CALL_GENERIC, ConstantsMap.immediate0, ConstantsMap.getImmediateGeneric(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_IMMEDIATE_CALL_PANNELLO, new ConfigPannello(KEY_PANNELLO_IMMEDIATE_CALL_PANNELLO, ConstantsMap.immediate0, ConstantsMap.getImmediatePannello(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_VISUALIZZA_SEMAFORO, new ConfigPannello(KEY_PANNELLO_VISUALIZZA_SEMAFORO, ConstantsMap.semaforo0, ConstantsMap.getImmediateSemaforo(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_CALENDARIO_TIPO_NOTA, new ConfigPannello(KEY_PANNELLO_CALENDARIO_TIPO_NOTA, ConstantsMap.nota1, ConstantsMap.getTipoNota(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_CALENDARIO_MIN_TEMPO_NOTA, new ConfigPannello(KEY_PANNELLO_CALENDARIO_MIN_TEMPO_NOTA, "" + ConstantsGlobal.defaultTimeI, ConstantsMap.getTimeNotaString(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_NUMERO_PAGINA_CAMPAGNE, new ConfigPannello(KEY_PANNELLO_NUMERO_PAGINA_CAMPAGNE, "" + ConstantsGlobal.righeCampagna, ConstantsMap.getLimite(ConstantsGlobal.stepPagina, ConstantsGlobal.maxPagina), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_RILASCIO_CHIAMATE, new ConfigPannello(KEY_PANNELLO_RILASCIO_CHIAMATE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_RICERCA_STORICO_APPUNTAMENTO, new ConfigPannello(KEY_PANNELLO_RICERCA_STORICO_APPUNTAMENTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_RICERCA_STORICO_CONTATTO, new ConfigPannello(KEY_PANNELLO_RICERCA_STORICO_CONTATTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_RICERCA_STORICO_CONTRATTO, new ConfigPannello(KEY_PANNELLO_RICERCA_STORICO_CONTRATTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_PRECEDENZA_PERSONALI, new ConfigPannello(KEY_PANNELLO_PRECEDENZA_PERSONALI, ConstantsMap.no, ConstantsMap.getPrecedenza(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_VALIDA_CALENDARIO, new ConfigPannello(KEY_PANNELLO_VALIDA_CALENDARIO, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_VALIDA_PRODOTTO, new ConfigPannello(KEY_PANNELLO_VALIDA_PRODOTTO, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_VISUALIZZA_LISTA_PERSONALI, new ConfigPannello(KEY_PANNELLO_VISUALIZZA_LISTA_PERSONALI, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_MODE_CALENDAR, new ConfigPannello(KEY_PANNELLO_MODE_CALENDAR, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_REGISTRA_LOG, new ConfigPannello(KEY_PANNELLO_REGISTRA_LOG, "", ConstantsMap.getLog(), ConstantsGlobal.multiplo, false, true));
		aMap.put(KEY_PANNELLO_MOSTRA_STORIA_PANNELLO, new ConfigPannello(KEY_PANNELLO_MOSTRA_STORIA_PANNELLO, ConstantsMap.storia0, ConstantsMap.getStoria(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_MOSTRA_STORIA_GENERIC, new ConfigPannello(KEY_PANNELLO_MOSTRA_STORIA_GENERIC, ConstantsMap.storia2, ConstantsMap.getStoria(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_MOSTRA_ESITI_INLINE, new ConfigPannello(KEY_PANNELLO_MOSTRA_ESITI_INLINE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_MOSTRA_CAMPI_INLINE, new ConfigPannello(KEY_PANNELLO_MOSTRA_CAMPI_INLINE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_ENTRA_SUPERVISORE, new ConfigPannello(KEY_PANNELLO_ENTRA_SUPERVISORE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_RICERCA_DATE_INIZIALI, new ConfigPannello(KEY_PANNELLO_RICERCA_DATE_INIZIALI, ConstantsMap.p_g, ConstantsMap.getPeriodo(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_RIEPILOGO_REGISTRO, new ConfigPannello(KEY_PANNELLO_RIEPILOGO_REGISTRO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_STATISTICHE_SUPERVISORE, new ConfigPannello(KEY_PANNELLO_STATISTICHE_SUPERVISORE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_STATISTICHE_OPERATORE, new ConfigPannello(KEY_PANNELLO_STATISTICHE_OPERATORE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_MENU_RUOLO, new ConfigPannello(KEY_PANNELLO_MENU_RUOLO, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_ATTIVO_CONTROL, new ConfigPannello(KEY_PANNELLO_ATTIVO_CONTROL, "0", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PANNELLO_GEOCODE_CONTROL, new ConfigPannello(KEY_PANNELLO_GEOCODE_CONTROL, "0", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PANNELLO_GESTIONE_REGISTRAZIONE, new ConfigPannello(KEY_PANNELLO_GESTIONE_REGISTRAZIONE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_TOGGLE_IMMEDIATE, new ConfigPannello(KEY_PANNELLO_TOGGLE_IMMEDIATE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_TOGGLE_OPENED, new ConfigPannello(KEY_PANNELLO_TOGGLE_OPENED, ConstantsMap.toggle0, ConstantsMap.getToggleGeneric(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_TOGGLE_CLOSED, new ConfigPannello(KEY_PANNELLO_TOGGLE_CLOSED, ConstantsMap.toggle1, ConstantsMap.getToggleGeneric(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_MOSTRA_OCCUPATO, new ConfigPannello(KEY_PANNELLO_MOSTRA_OCCUPATO, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_STATO_PRECARICATO, new ConfigPannello(KEY_PANNELLO_STATO_PRECARICATO, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_ESTRATTO, new ConfigPannello(KEY_PANNELLO_ESTRATTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_SELEZIONA_TELEFONO, new ConfigPannello(KEY_PANNELLO_SELEZIONA_TELEFONO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_SELEZIONA_GENERALE, new ConfigPannello(KEY_PANNELLO_SELEZIONA_GENERALE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_CHIAMATA_DIRETTA, new ConfigPannello(KEY_PANNELLO_CHIAMATA_DIRETTA, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_SELEZIONA_ORDINAMENTO, new ConfigPannello(KEY_PANNELLO_SELEZIONA_ORDINAMENTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_PAGINATORE_MULTIPLO, new ConfigPannello(KEY_PANNELLO_PAGINATORE_MULTIPLO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_FILTRO_MULTIPLO, new ConfigPannello(KEY_PANNELLO_FILTRO_MULTIPLO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_USCITA_AUTOMATICA, new ConfigPannello(KEY_PANNELLO_USCITA_AUTOMATICA, "5", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PANNELLO_PERMETTI_PRENOTAZIONE_INTERNA, new ConfigPannello(KEY_PANNELLO_PERMETTI_PRENOTAZIONE_INTERNA, ConstantsMap.inserimento0, ConstantsMap.getInserimento(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_PERMETTI_PRENOTAZIONE_ESTERNA, new ConfigPannello(KEY_PANNELLO_PERMETTI_PRENOTAZIONE_ESTERNA, ConstantsMap.inserimento0, ConstantsMap.getInserimento(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_PERMETTI_CONTATTO_INTERNA, new ConfigPannello(KEY_PANNELLO_PERMETTI_CONTATTO_INTERNA, ConstantsMap.inserimento2, ConstantsMap.getInserimento(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_PERMETTI_CONTATTO_ESTERNA, new ConfigPannello(KEY_PANNELLO_PERMETTI_CONTATTO_ESTERNA, ConstantsMap.inserimento0, ConstantsMap.getInserimento(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_PERMETTI_RESET_CONTATTO, new ConfigPannello(KEY_PANNELLO_PERMETTI_RESET_CONTATTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_PERMETTI_REVERT, new ConfigPannello(KEY_PANNELLO_PERMETTI_REVERT, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_PERMETTI_CAMBIO_TRUNK, new ConfigPannello(KEY_PANNELLO_PERMETTI_CAMBIO_TRUNK, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_VISUALIZZA_RUOLI, new ConfigPannello(KEY_PANNELLO_VISUALIZZA_RUOLI, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_VISUALIZZA_CAMPAGNE, new ConfigPannello(KEY_PANNELLO_VISUALIZZA_CAMPAGNE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_VISUALIZZA_REGISTRAZIONI, new ConfigPannello(KEY_PANNELLO_VISUALIZZA_REGISTRAZIONI, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_VISUALIZZA_STORICO, new ConfigPannello(KEY_PANNELLO_VISUALIZZA_STORICO, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_VISUALIZZA_CRONOMETRO, new ConfigPannello(KEY_PANNELLO_VISUALIZZA_CRONOMETRO, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_VISUALIZZA_TIMER, new ConfigPannello(KEY_PANNELLO_VISUALIZZA_TIMER, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_VISUALIZZA_DETTAGLIO, new ConfigPannello(KEY_PANNELLO_VISUALIZZA_DETTAGLIO, ConstantsMap.autodialer0, ConstantsMap.getDettaglioPannello(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_VISUALIZZA_TERMINA, new ConfigPannello(KEY_PANNELLO_VISUALIZZA_TERMINA, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_VISUALIZZA_DATI, new ConfigPannello(KEY_PANNELLO_VISUALIZZA_DATI, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_VISUALIZZA_PASSWORD, new ConfigPannello(KEY_PANNELLO_VISUALIZZA_PASSWORD, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_MOSTRA_RICHIAMI_PROSSIMI, new ConfigPannello(KEY_PANNELLO_MOSTRA_RICHIAMI_PROSSIMI, ConstantsMap.no, ConstantsMap.getRichiami(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_MOSTRA_LAVORAZIONE_OPERATORE, new ConfigPannello(KEY_PANNELLO_MOSTRA_LAVORAZIONE_OPERATORE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_MOSTRA_LAVORAZIONE_SUPERVISORE, new ConfigPannello(KEY_PANNELLO_MOSTRA_LAVORAZIONE_SUPERVISORE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_MODE_EDITOR, new ConfigPannello(KEY_PANNELLO_MODE_EDITOR, ConstantsMap.visual, ConstantsMap.getEditor(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_MODE_FLASH, new ConfigPannello(KEY_PANNELLO_MODE_FLASH, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_DATI_EXTRA_OPERATORE, new ConfigPannello(KEY_PANNELLO_DATI_EXTRA_OPERATORE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_FORMATTA_TABELLA, new ConfigPannello(KEY_PANNELLO_FORMATTA_TABELLA, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_FORMATTA_CAMPO_AGGIUNTIVO, new ConfigPannello(KEY_PANNELLO_FORMATTA_CAMPO_AGGIUNTIVO, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_RICERCA_DOMANDA_CONTRATTO, new ConfigPannello(KEY_PANNELLO_RICERCA_DOMANDA_CONTRATTO, ConstantsMap.no, ConstantsMap.getDomande(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_RICERCA_DOMANDA_ANAGRAFICA, new ConfigPannello(KEY_PANNELLO_RICERCA_DOMANDA_ANAGRAFICA, ConstantsMap.no, ConstantsMap.getDomande(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_RICERCA_INDIRIZZO, new ConfigPannello(KEY_PANNELLO_RICERCA_INDIRIZZO, ConstantsMap.no, ConstantsMap.getIndirizzi(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_RICERCA_CONSENSO, new ConfigPannello(KEY_PANNELLO_RICERCA_CONSENSO, ConstantsMap.no, ConstantsMap.getConsensi(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_RICERCA_DUPLICATI_VUOTI, new ConfigPannello(KEY_PANNELLO_RICERCA_DUPLICATI_VUOTI, ConstantsMap.validatore1, ConstantsMap.getValidatoreB(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_ESTRAZIONE_PRIORITA, new ConfigPannello(KEY_PANNELLO_ESTRAZIONE_PRIORITA, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_ESTRAZIONE_LISTE, new ConfigPannello(KEY_PANNELLO_ESTRAZIONE_LISTE, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_ESTRAZIONE_STATO, new ConfigPannello(KEY_PANNELLO_ESTRAZIONE_STATO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_ESTRAZIONE_CONTATTI, new ConfigPannello(KEY_PANNELLO_ESTRAZIONE_CONTATTI, ConstantsMap.diretta, ConstantsMap.getTipoEstrazione(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_ESTRAZIONE_CAMPAGNA, new ConfigPannello(KEY_PANNELLO_ESTRAZIONE_CAMPAGNA, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_INSERIMENTO_LISTE, new ConfigPannello(KEY_PANNELLO_INSERIMENTO_LISTE, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_SELEZIONA_TUTTI, new ConfigPannello(KEY_PANNELLO_SELEZIONA_TUTTI, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_MOSTRA_PANNELLO, new ConfigPannello(KEY_PANNELLO_MOSTRA_PANNELLO, "0", "0;1;2", ConstantsGlobal.lista, false, true));
		aMap.put(KEY_PANNELLO_MASSIMO_LIVELLO_RETE, new ConfigPannello(KEY_PANNELLO_MASSIMO_LIVELLO_RETE, "0", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PANNELLO_CONSIDERA_QUALIFICA, new ConfigPannello(KEY_PANNELLO_CONSIDERA_QUALIFICA, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_GIORNI_CONTATTO, new ConfigPannello(KEY_PANNELLO_GIORNI_CONTATTO, "0", "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_PANNELLO_GIORNI_CONTRATTO, new ConfigPannello(KEY_PANNELLO_GIORNI_CONTRATTO, "0", "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_PANNELLO_GIORNI_APPUNTAMENTO, new ConfigPannello(KEY_PANNELLO_GIORNI_APPUNTAMENTO, "1", "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_PANNELLO_MAX_ALLEGATO, new ConfigPannello(KEY_PANNELLO_MAX_ALLEGATO, "0", "[0-9]+", ConstantsGlobal.stringa, false, true));
		aMap.put(KEY_PANNELLO_STAMPA_LOG, new ConfigPannello(KEY_PANNELLO_STAMPA_LOG, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_RICERCA_COLONNA, new ConfigPannello(KEY_PANNELLO_RICERCA_COLONNA, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_RICERCA_LOG, new ConfigPannello(KEY_PANNELLO_RICERCA_LOG, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_RICERCA_TIMEOUT, new ConfigPannello(KEY_PANNELLO_RICERCA_TIMEOUT, "0", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PANNELLO_RICERCA_SUBQUERY, new ConfigPannello(KEY_PANNELLO_RICERCA_SUBQUERY, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_RICERCA_SOMMA, new ConfigPannello(KEY_PANNELLO_RICERCA_SOMMA, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_FORMATTA_TEMPI, new ConfigPannello(KEY_PANNELLO_FORMATTA_TEMPI, ConstantsMap.TRUE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_PANNELLO_MASSIMO_VALORE_EXPORT, new ConfigPannello(KEY_PANNELLO_MASSIMO_VALORE_EXPORT, "32768", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PANNELLO_MASSIMO_VALORE_LAVORO, new ConfigPannello(KEY_PANNELLO_MASSIMO_VALORE_LAVORO, "0", "[0-9]+", ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_PANNELLO_ALLEGATI_VALIDI, new ConfigPannello(KEY_PANNELLO_ALLEGATI_VALIDI, "", ConstantsMap.getElementiAllegati(), ConstantsGlobal.multiplo, false, true));
		DEFAULTS = Collections.unmodifiableMap(aMap);
	};
}