package it.callite.constants.config;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

import it.callite.constants.ConstantsGlobal;
import it.callite.model.config.ConfigSleep;
public class DefaultsSleep {
	
	
	public static final String KEY_SLEEP_AUTODIALER_READY = "sleep.autodialer_ready";
	public static final String KEY_SLEEP_AUTODIALER_CONSUMATORE = "sleep.autodialer_consumatore";
	public static final String KEY_SLEEP_AUTODIALER_PRODUTTORE = "sleep.autodialer_produttore";
	public static final String KEY_SLEEP_AUTODIALER_SOSPENDI = "sleep.autodialer_sospendi";
	public static final String KEY_SLEEP_AUTODIALER_SCHEDULATO = "sleep.autodialer_schedulato";
	public static final String KEY_SLEEP_AUTODIALER_ABBATTUTA = "sleep.autodialer_abbattuta";
	public static final String KEY_SLEEP_AUTODIALER_SUONO = "sleep.autodialer_suono";
	public static final String KEY_SLEEP_CHIUSURA_CHIAMATA = "sleep.chiusura_chiamata";
	
	public static final String KEY_SLEEP_EMAIL_TIME = "sleep.autoinvio_email_time";
	public static final String KEY_SLEEP_RMAIL_TIME = "sleep.autoinvio_rmail_time";
	public static final String KEY_SLEEP_TELECOM_TIME = "sleep.autoinvio_telecom_time";
	
	public static final Map<String, ConfigSleep> DEFAULTS;
	static {
		Map<String, ConfigSleep> aMap = new HashMap<String, ConfigSleep>();
		aMap.put(KEY_SLEEP_AUTODIALER_CONSUMATORE, new ConfigSleep(KEY_SLEEP_AUTODIALER_CONSUMATORE, "300", "[0-9]+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_SLEEP_AUTODIALER_PRODUTTORE, new ConfigSleep(KEY_SLEEP_AUTODIALER_PRODUTTORE, "500", "[0-9]+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_SLEEP_AUTODIALER_SOSPENDI, new ConfigSleep(KEY_SLEEP_AUTODIALER_SOSPENDI, "100", "[0-9]+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_SLEEP_AUTODIALER_SCHEDULATO, new ConfigSleep(KEY_SLEEP_AUTODIALER_SCHEDULATO, "100", "[0-9]+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_SLEEP_AUTODIALER_ABBATTUTA, new ConfigSleep(KEY_SLEEP_AUTODIALER_ABBATTUTA, "100", "[0-9]+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_SLEEP_AUTODIALER_SUONO, new ConfigSleep(KEY_SLEEP_AUTODIALER_SUONO, "100", "[0-9]+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_SLEEP_AUTODIALER_READY, new ConfigSleep(KEY_SLEEP_AUTODIALER_READY, "500", "[0-9]+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_SLEEP_EMAIL_TIME, new ConfigSleep(KEY_SLEEP_EMAIL_TIME, "100", "[0-9]+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_SLEEP_RMAIL_TIME, new ConfigSleep(KEY_SLEEP_RMAIL_TIME, "100", "[0-9]+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_SLEEP_TELECOM_TIME, new ConfigSleep(KEY_SLEEP_TELECOM_TIME, "100", "[0-9]+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_SLEEP_CHIUSURA_CHIAMATA, new ConfigSleep(KEY_SLEEP_CHIUSURA_CHIAMATA, "0", "[0-9]+" , ConstantsGlobal.stringa, true, true));
		DEFAULTS = Collections.unmodifiableMap(aMap);
	};
}