package it.callite.constants.config;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

import it.callite.model.config.ConfigStorage;
public class DefaultsStorage {
	public static final String KEY_DOCUMENTO_ALLEGATO = "DOCUMENTO_ALLEGATO";
	public static final String KEY_DOCUMENTO_LOGO = "DOCUMENTO_LOGO";
	public static final Map<String, ConfigStorage> DEFAULTS;
	static {
		Map<String, ConfigStorage> aMap = new HashMap<String, ConfigStorage>();
		aMap.put(KEY_DOCUMENTO_ALLEGATO, new ConfigStorage(KEY_DOCUMENTO_ALLEGATO, Boolean.FALSE));
		aMap.put(KEY_DOCUMENTO_LOGO, new ConfigStorage(KEY_DOCUMENTO_LOGO, Boolean.TRUE));
		DEFAULTS = Collections.unmodifiableMap(aMap);
	};
}