package it.callite.controller;
import java.io.Serializable;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.dao.DownloadDao;
import it.callite.dao.ImpostazioneDao;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Controller
public class DownloadController  implements Serializable {

	@Autowired
	public DownloadDao downloadDao;

	@Autowired
	public ImpostazioneDao impostazioneDao;

	//https://BASE_PATH/client.zip
	@RequestMapping(value = ConstantsGlobal.path_web_client + "." + ConstantsMap.zip) 
	public void handleRequest1(HttpServletRequest request, HttpServletResponse response) {
		try {
			ServletOutputStream out = response.getOutputStream();
			String clientN = downloadDao.downloadClient(out);
			ApplicationUtil.setResponse(null, impostazioneDao.getDownloadLogType(), false, null, request, response, clientN);
			out.close();
			response.flushBuffer();
		} catch (Exception e) {	}
	}

	//https://BASE_PATH/client.bat
	@RequestMapping(value = ConstantsGlobal.path_web_client + "." + ConstantsMap.bat) 
	public void handleRequest2(HttpServletRequest request, HttpServletResponse response) {
		try {
			ServletOutputStream out = response.getOutputStream();
			String clientN = downloadDao.downloadInstaller(out, ConstantsMap.bat);
			ApplicationUtil.setResponse(null, impostazioneDao.getDownloadLogType(), false, null, request, response, clientN);
			out.close();
			response.flushBuffer();
		} catch (Exception e) {	}
	}

	//https://BASE_PATH/client.sh
	@RequestMapping(value = ConstantsGlobal.path_web_client + "." + ConstantsMap.sh) 
	public void handleRequest3(HttpServletRequest request, HttpServletResponse response) {
		try {
			ServletOutputStream out = response.getOutputStream();
			String clientN = downloadDao.downloadInstaller(out, ConstantsMap.sh);
			ApplicationUtil.setResponse(null, impostazioneDao.getDownloadLogType(), false, null, request, response, clientN);
			out.close();
			response.flushBuffer();
		} catch (Exception e) {	}
	}

	//https://BASE_PATH/client.cmd
	@RequestMapping(value = ConstantsGlobal.path_web_client + "." + ConstantsMap.cmd) 
	public void handleRequest4(HttpServletRequest request, HttpServletResponse response) {
		try {
			ServletOutputStream out = response.getOutputStream();
			String clientN = downloadDao.downloadInstaller(out, ConstantsMap.cmd);
			ApplicationUtil.setResponse(null, impostazioneDao.getDownloadLogType(), false, null, request, response, clientN);
			out.close();
			response.flushBuffer();
		} catch (Exception e) {	}
	}
}