package it.callite.controller;
import java.io.Serializable;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Controller
public class ErrorController implements Serializable {

	//https://BASE_PATH/error/index.xhtml
	@RequestMapping(value = ConstantsGlobal.path_web_error + "/index" + "." + ConstantsMap.xhtml)
	public void goToError(HttpServletRequest request, HttpServletResponse response) {
		ApplicationUtil.goToUrl(request, response, ConstantsGlobal.path_web_index);
	}

	//https://BASE_PATH/index/index.xhtml
	@RequestMapping(value = ConstantsGlobal.path_web_index + "/index" + "." + ConstantsMap.xhtml)
	public void goToIndex(HttpServletRequest request, HttpServletResponse response) {
		ApplicationUtil.goToUrl(request, response, ConstantsGlobal.path_web_index);
	}
}