package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class EsitoChiamataCriteria extends GenericAllCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private String etichetta;
	
	
	public EsitoChiamataCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id, ConstantsColumn.codice, ConstantsColumn.ordinamento};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public String getEtichetta() {
		return ApplicationUtil.trimToNull(etichetta);
	}

	public EsitoChiamataCriteria resetCriteria() {
		EsitoChiamataCriteria c = new EsitoChiamataCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public EsitoChiamataCriteria resetCriteria(String b) {
		EsitoChiamataCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}
	

	public void setEtichetta(String etichetta) {
		this.etichetta = ApplicationUtil.trimToNull(etichetta);
	}
	
}
