package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;

public class MarcaturaCriteria extends GenericAllCriteria implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private Long operatore;
	private Long team;
	
	public MarcaturaCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione, ConstantsColumn.data_inizio, ConstantsColumn.data_fine};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}


	public Long getOperatore() {
		return operatore;
	}
	public Long getTeam() {
		return team;
	}

	public MarcaturaCriteria resetCriteria() {
		MarcaturaCriteria c = new MarcaturaCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public MarcaturaCriteria resetCriteria(String b) {
		MarcaturaCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public void setOperatore(Long operatore) {
		this.operatore = operatore;
	}

	public void setTeam(Long team) {
		this.team = team;
	}

	


}
