package it.callite.criteria.generic;

import java.io.Serializable;
import java.util.Date;

import it.callite.utility.ApplicationUtil;

public abstract class RicercaStoricoCriteria extends RicercaAnagraficaCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private Boolean azione = false;
	private Long storico_esitoId;
	private Date storico_fine;
	private Date storico_inizio;
	private String storico_nota;
	private String storico_operatore;
	private Long storico_operatoreId;
	


	public Boolean getAzione() {
		return azione;
	}
	public Long getStorico_esitoId() {
		return storico_esitoId;
	}
	public Date getStorico_fine() {
		return storico_fine;
	}
	public Date getStorico_inizio() {
		return storico_inizio;
	}
	public String getStorico_nota() {
		return ApplicationUtil.trimToNull(storico_nota);
	}
	public String getStorico_operatore() {
		return ApplicationUtil.trimToNull(storico_operatore);
	}
	public Long getStorico_operatoreId() {
		return storico_operatoreId;
	}

	public void setAzione(Boolean azione) {
		this.azione = azione;
	}
	
	public void setStorico_esitoId(Long storico_esitoId) {
		this.storico_esitoId = storico_esitoId;
	}
	
	public void setStorico_fine(Date storico_fine) {
		this.storico_fine = storico_fine;
	}
	public void setStorico_inizio(Date storico_inizio) {
		this.storico_inizio = storico_inizio;
	}
	public void setStorico_nota(String storico_nota) {
		this.storico_nota = ApplicationUtil.trimToNull(storico_nota);
	}
	public void setStorico_operatore(String storico_operatore) {
		this.storico_operatore = ApplicationUtil.trimToNull(storico_operatore);
	}
	public void setStorico_operatoreId(Long storico_operatoreId) {
		this.storico_operatoreId = storico_operatoreId;
	}


}
