package it.callite.criteria.report;

import java.io.Serializable;

import it.callite.criteria.generic.BaseCriteria;
import it.callite.utility.ApplicationUtil;

public class DashboardCriteria extends BaseCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private Long campagna;
	
	private Integer contatti = -1;
	private String tipo;
	
	public DashboardCriteria() {

	}

	public Long getCampagna() {
		return campagna;
	}


	public Integer getContatti() {
		return contatti;
	}
	public DashboardCriteria resetCriteria() {
		DashboardCriteria c = new DashboardCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	
	public DashboardCriteria resetCriteria(String b) {
		DashboardCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	public void setCampagna(Long campagna) {
		this.campagna = campagna;
	}



	public void setContatti(Integer contatti) {
		this.contatti = contatti;
	}

	public void setCriteria(String b) {
	}

	public String getTipo() {
		return ApplicationUtil.trimToNull(tipo);
	}

	public void setTipo(String tipo) {
		this.tipo = ApplicationUtil.trimToNull(tipo);
	}
	

	
}
