package it.callite.criteria.report;

import java.io.Serializable;

import it.callite.criteria.generic.BaseCriteria;
import it.callite.utility.ApplicationUtil;

public class ProgressoCriteria  extends BaseCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer contatti = 7;
	private Boolean statoC = true;
	private Boolean statoL = true;
	private String tipo;
	
	public ProgressoCriteria() {

	}

	public Integer getContatti() {
		return contatti;
	}

	public Boolean getStatoC() {
		return statoC;
	}

	public Boolean getStatoL() {
		return statoL;
	}

	public ProgressoCriteria resetCriteria() {
		ProgressoCriteria c = new ProgressoCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	
	public ProgressoCriteria resetCriteria(String b) {
		ProgressoCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	public void setContatti(Integer contatti) {
		this.contatti = contatti;
	}

	public void setCriteria(String b) {
	}

	public void setStatoC(Boolean statoC) {
		this.statoC = statoC;
	}

	public void setStatoL(Boolean statoL) {
		this.statoL = statoL;
	}
	public String getTipo() {
		return ApplicationUtil.trimToNull(tipo);
	}

	public void setTipo(String tipo) {
		this.tipo = ApplicationUtil.trimToNull(tipo);
	}
	

}
