package it.callite.listener;

import java.util.List;

import org.jivesoftware.smack.Chat;
import org.jivesoftware.smack.MessageListener;
import org.jivesoftware.smack.packet.Message;

import it.callite.utility.ApplicationUtil;
import it.callite.utility.Buddy;


public class MessageListenerImpl implements MessageListener {

	private List<Buddy> messaggi;

	@Override
	public void processMessage(Chat chat, Message message)   {
		if(message != null) {
			messaggi.add(new Buddy(ApplicationUtil.substringBefore(message.getFrom(), "@"), ApplicationUtil.substringBefore(message.getTo(), "@"), message.getBody(), message.getPacketID()));
		}
	}

	public MessageListenerImpl(List<Buddy> messaggi) {
		this.messaggi = messaggi;
	}

}
