package it.callite.model.report;

import java.io.Serializable;


@SuppressWarnings("serial")
public class ColonnaQuery implements Serializable {
	
	private String colonna;
	private String tabella;
	private String altro;

	
	public ColonnaQuery(String colonna, String tabella) {
		this.colonna = colonna;
		this.tabella = tabella;
		this.altro = null;
	}
	
	public ColonnaQuery(String colonna, String tabella, String altro) {
		this.colonna = colonna;
		this.tabella = tabella;
		this.altro = altro;
	}

	public String getColonna() {
		return colonna;
	}

	public void setColonna(String colonna) {
		this.colonna = colonna;
	}

	public String getTabella() {
		return tabella;
	}

	public void setTabella(String tabella) {
		this.tabella = tabella;
	}

	public String getAltro() {
		return altro;
	}

	public void setAltro(String altro) {
		this.altro = altro;
	}
	
	
	
}
