package it.callite.model.report;

import java.io.Serializable;
import java.util.List;


@SuppressWarnings("serial")
public class GruppoModel implements Serializable {

	private Long campagna_id;
	private Long utente_id;
	private Long id;

	
	public GruppoModel() {
	}
	
	public GruppoModel(Long id, List<Long> campagne, List<Long> utenti) {
		this.id = id;
		this.campagne = campagne;
		this.utenti = utenti;
	}

	public Long getCampagna_id() {
		return campagna_id;
	}

	public void setCampagna_id(Long campagna_id) {
		this.campagna_id = campagna_id;
	}

	public Long getUtente_id() {
		return utente_id;
	}

	public void setUtente_id(Long utente_id) {
		this.utente_id = utente_id;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((campagna_id == null) ? 0 : campagna_id.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((utente_id == null) ? 0 : utente_id.hashCode());
		return result;
	}



	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		GruppoModel other = (GruppoModel) obj;
		if (campagna_id == null) {
			if (other.campagna_id != null)
				return false;
		} else if (!campagna_id.equals(other.campagna_id))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (utente_id == null) {
			if (other.utente_id != null)
				return false;
		} else if (!utente_id.equals(other.utente_id))
			return false;
		return true;
	}



	public int compareTo(GruppoModel o) {
		if(id != null && o.id != null) {
			return id.compareTo(o.id);
		} else if(id != null && o.id == null) {
			return -1;
		} else if(id == null && o.id != null) {
			return 1;
		} else {
			return 0;
		}

	}
	
	private List<Long> campagne;
	private List<Long> utenti;


	public List<Long> getCampagne() {
		return campagne;
	}

	public void setCampagne(List<Long> campagne) {
		this.campagne = campagne;
	}

	public List<Long> getUtenti() {
		return utenti;
	}

	public void setUtenti(List<Long> utenti) {
		this.utenti = utenti;
	}
	
}
