package it.callite.model.report;

import java.io.Serializable;

import it.callite.constants.ConstantsGlobal;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class OperatoreCampagnaClassifica implements Serializable {
	

	private Long id;
	private String nome;
	private String cognome;
	private String username;
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public String getCognome() {
		return cognome;
	}

	public void setCognome(String cognome) {
		this.cognome = cognome;
	}

	
	private Long numero;
	public Long getNumero() {
		return numero;
	}
	public void setNumero(Long numero) {
		this.numero = numero;
	}
	
	
	public String getNome_completo() {
		return ApplicationUtil.denominazione(cognome, nome);
	}

	public String getDenominazione() {
		return ConstantsGlobal.usernameSeparator1 + getUsername() + ConstantsGlobal.usernameSeparator2 + " " +  getNome_completo();
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}


}