package it.callite.model.report;
import it.callite.utility.ApplicationUtil;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
@SuppressWarnings("serial")
public class ReportEsitiCampagna implements Serializable {
	
	private List<RiepilogoEsito> esiti = new ArrayList<RiepilogoEsito>();
	private List<RiepilogoEsito> stato = new ArrayList<RiepilogoEsito>();
	
	public List<RiepilogoEsito> getEsiti() {
		return esiti;
	}
	public void setEsiti(List<RiepilogoEsito> esiti) {
		this.esiti = esiti;
	}
	public List<RiepilogoEsito> getStato() {
		return stato;
	}
	public void setStato(List<RiepilogoEsito> stato) {
		this.stato = stato;
	}
	 
	public String getTortaEsitiXML() {
		return ApplicationUtil.report3XML(esiti);
	}
	public String getTortaStatoXML() {
		return ApplicationUtil.report2XML(stato);
	}
	
	public int getSommaEsitiXML() {
		return ApplicationUtil.reportSum(esiti);
	}
	public int getSommaStatoXML() {
		return ApplicationUtil.reportSum(stato);
	}
	
}