package it.callite.model.report;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class RiepilogoCampagna implements Serializable {

	List<RiepilogoCampagnaList> lista = new ArrayList<RiepilogoCampagnaList>();
	private Integer tipologia;
	
	public RiepilogoCampagna(Integer tipologia) {
		this.tipologia = tipologia;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((lista == null) ? 0 : lista.hashCode());
		result = prime * result + ((tipologia == null) ? 0 : tipologia.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		RiepilogoCampagna other = (RiepilogoCampagna) obj;
		if (lista == null) {
			if (other.lista != null)
				return false;
		} else if (!lista.equals(other.lista))
			return false;
		if (tipologia == null) {
			if (other.tipologia != null)
				return false;
		} else if (!tipologia.equals(other.tipologia))
			return false;
		return true;
	}
	public List<RiepilogoCampagnaList> getLista() {
		return lista;
	}
	public void setLista(List<RiepilogoCampagnaList> lista) {
		this.lista = lista;
	}
	public Integer getTipologia() {
		return tipologia;
	}
	public void setTipologia(Integer tipologia) {
		this.tipologia = tipologia;
	}
	
	public int getListaSize() {
		return ApplicationUtil.size(lista);
	}
	
	public Boolean getPubbliche() {
		return ApplicationUtil.eq(tipologia, 4) || ApplicationUtil.eq(tipologia, 5) || ApplicationUtil.eq(tipologia, 6) || ApplicationUtil.eq(tipologia, 7);
	}
	
	public Boolean getArchiviazione() {
		return ApplicationUtil.eq(tipologia, 7);
	}
	
	public Boolean getTutti() {
		return ApplicationUtil.eq(tipologia, 3) || ApplicationUtil.eq(tipologia, 6) || ApplicationUtil.eq(tipologia, 7);
	}
	
	public Boolean getDisponibili() {
		return ApplicationUtil.eq(tipologia, 1) || ApplicationUtil.eq(tipologia, 4);
	}
	
	public Boolean getProssimi() {
		return ApplicationUtil.eq(tipologia, 2) || ApplicationUtil.eq(tipologia, 5);
	}

}