package it.callite.utility;

public class CallUtil {

	private String numeroN;
	private String chiamanteN;
	private String appN;
	private String optionN;
	private String chiamatoN;

	public CallUtil(String app, String callers, String pre, String post, String option, String telefono) {
		appN = app;
		optionN = option;
		if(app != null) {
			chiamatoN = app + option != null ? "[" + option + "]" : "";
			numeroN = app + option != null ? "[" + option + "]" : "";
		}
		chiamanteN = pre + (callers != null ? ApplicationUtil.randomValue(callers) : ApplicationUtil.trimToEmpty(telefono)) + post;
	}

	public String getNumeroN() {
		return numeroN;
	}

	public void setNumeroN(String numeroN) {
		this.numeroN = numeroN;
	}

	public String getChiamanteN() {
		return chiamanteN;
	}

	public void setChiamanteN(String chiamanteN) {
		this.chiamanteN = chiamanteN;
	}

	public String getAppN() {
		return appN;
	}

	public void setAppN(String appN) {
		this.appN = appN;
	}

	public String getOptionN() {
		return optionN;
	}

	public void setOptionN(String optionN) {
		this.optionN = optionN;
	}

	public String getChiamatoN() {
		return chiamatoN;
	}

	public void setChiamatoN(String chiamatoN) {
		this.chiamatoN = chiamatoN;
	}

}