package it.callite.utility;

import java.math.BigDecimal;
import java.util.Date;

import org.apache.poi.ss.usermodel.CellType;

public class ExcelFormat {

	private Object valore;
	private String format;
	private CellType cellType;

	public Object getValore() {
		return valore;
	}
	public void setValore(Object valore) {
		this.valore = valore;
	}
	public String getFormat() {
		return format;
	}
	public void setFormat(String format) {
		this.format = format;
	}
	public CellType getCellType() {
		return cellType;
	}
	public void setCellType(CellType cellType) {
		this.cellType = cellType;
	}
	public ExcelFormat(String f, Object v) {
		valore = v;
		format = f;
		if(valore != null) {
			if (valore instanceof String) {
				cellType = CellType.STRING;
			}
			if (valore instanceof Double) {
				cellType = CellType.NUMERIC;
			}
			if (valore instanceof Long) {
				cellType = CellType.NUMERIC;
			}
			if (valore instanceof Integer) {
				cellType = CellType.NUMERIC;
			}
			if (valore instanceof BigDecimal) {
				cellType = CellType.NUMERIC;
			}
			if (valore instanceof Date) {
				cellType = CellType.NUMERIC;
			}
			if (valore instanceof Boolean) {
				cellType = CellType.BOOLEAN;
			}

		} else {
			cellType = CellType.BLANK;
		}
	}



}