package it.callite.utility;
import it.callite.constants.ConstantsMap;
public class InvocaAPI {
 
	public static String invoke(String sistema, String metodo, String link, String headers, String fields, String outputs, String parameters, String body, String username, String password, String driver, String commands) throws Exception {
		String l = ApplicationUtil.cleanText(link);
		String o = null;
		if(l != null) {
			if(sistema.equals(ConstantsMap.r_system1)) {
				o = UnirestAPI.invoke(metodo, l, headers, fields, parameters, body, username, password);
			}
			if(sistema.equals(ConstantsMap.r_system2)) {
				o = ApplicationUtil.command(l);
			}
			if(sistema.equals(ConstantsMap.r_system3)) {
				o = ApplicationUtil.sql(commands, username, password, l, driver);
			}
			if(sistema.equals(ConstantsMap.r_system4)) {
				o = ApplicationUtil.commandH(commands, username, password, l);
			}
		}
		return (outputs != null) ? ApplicationUtil.replaceOutputs(outputs, o) : o;
	}
}