package it.callite.utility;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class MappaSondaggio extends HashMap<CampoSpeciale, ValoreMappa> implements Serializable{

	private static final long serialVersionUID = 1L;

	private Map<CampoSpeciale,ValoreMappa> mappa = new HashMap<CampoSpeciale,ValoreMappa>();

	public ValoreMappa get(Object item) {
		CampoSpeciale c = (CampoSpeciale) item;
		if(c != null && ApplicationUtil.gtZero(c.getTipo())) {
			ValoreMappa  value = mappa.get(c);
			if(value == null) {
				value = new ValoreMappa();
			}
			if(!mappa.containsKey(c)) {
				mappa.put(c, value);
			}

			return value;
		} 
		return null;
	}

	public Set<CampoSpeciale> keySet() {
		return mappa.keySet();

	}

	public boolean isEmpty() {
		return mappa.isEmpty();

	}

	public Map<CampoSpeciale,ValoreMappa> getData() {
		return mappa;
	}


}
