package it.callite.utility;
import java.io.Serializable;
import java.util.Date;
import java.util.GregorianCalendar;
import it.callite.constants.ConstantsGlobal;
@SuppressWarnings("serial")
public class Orario implements Serializable {
	private Date data;
	public Date getData() {
		return data;
	}
	public void setData(Date data) {
		this.data = data;
	}
	private int oraMin;
	private int oraMax;
	public int getOraMax() {
		return oraMax;
	}
	public void setOraMax(int oraMax) {
		this.oraMax = oraMax;
	}
	public int getOraMin() {
		return oraMin;
	}
	public void setOraMin(int oraMin) {
		this.oraMin = oraMin;
	}
	public String getTop() {
		GregorianCalendar gc_a = ApplicationUtil.getGregorianCalendar();
		gc_a.setTime(data);
		int ooI = gc_a.get(GregorianCalendar.HOUR_OF_DAY);
		int omI = gc_a.get(GregorianCalendar.MINUTE);
		if(ooI >= oraMin) {
			int ore = ooI -  oraMin;
			int minuti = (ooI >= oraMin ? omI : 0);
			int minuti_totali = (ore * 60) + minuti;
			int top = Math.round(Integer.valueOf(minuti_totali).floatValue() / (60 / ConstantsGlobal.calendarSize));
			return String.valueOf(top);
		} else return null;
	}
}