package it.callite.utility;
import java.io.Serializable;
import org.richfaces.json.JSONException;
import org.richfaces.json.JSONObject;
@SuppressWarnings("serial")
public class ResponseIP implements Serializable {
	
	private String ip;
	private String type;
	private String continent_code;
	private String continent_name;
	private String country_code;
	private String country_name;
	private String region_code;
	private String region_name;
	private String city;
	private String zip;
	private Double latitude;
	private Double longitude;
	
	public ResponseIP(String body) throws JSONException {
		JSONObject jsonObject = new JSONObject(body);
		this.ip = ApplicationUtil.trimToNull((String) jsonObject.get("ip"));
		this.type =  ApplicationUtil.trimToNull((String) jsonObject.get("type"));
		this.continent_code =  ApplicationUtil.trimToNull((String) jsonObject.get("continent_code"));
		this.continent_name =  ApplicationUtil.trimToNull((String) jsonObject.get("continent_name"));
		this.country_code =  ApplicationUtil.trimToNull((String) jsonObject.get("country_code"));
		this.country_name =  ApplicationUtil.trimToNull((String) jsonObject.get("country_name"));
		this.region_code =  ApplicationUtil.trimToNull((String) jsonObject.get("region_code"));
		this.region_name =  ApplicationUtil.trimToNull((String) jsonObject.get("region_name"));
		this.city =  ApplicationUtil.trimToNull((String) jsonObject.get("city"));
		this.zip =  ApplicationUtil.trimToNull((String) jsonObject.get("zip"));
		this.latitude = (Double) jsonObject.get("latitude");
		this.longitude = (Double) jsonObject.get("longitude");
	}
	public String getIp() {
		return ip;
	}
	public void setIp(String ip) {
		this.ip = ip;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getContinent_code() {
		return continent_code;
	}
	public void setContinent_code(String continent_code) {
		this.continent_code = continent_code;
	}
	public String getContinent_name() {
		return continent_name;
	}
	public void setContinent_name(String continent_name) {
		this.continent_name = continent_name;
	}
	public String getCountry_code() {
		return country_code;
	}
	public void setCountry_code(String country_code) {
		this.country_code = country_code;
	}
	public String getCountry_name() {
		return country_name;
	}
	public void setCountry_name(String country_name) {
		this.country_name = country_name;
	}
	public String getRegion_code() {
		return region_code;
	}
	public void setRegion_code(String region_code) {
		this.region_code = region_code;
	}
	public String getRegion_name() {
		return region_name;
	}
	public void setRegion_name(String region_name) {
		this.region_name = region_name;
	}
	public String getCity() {
		return city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	public String getZip() {
		return zip;
	}
	public void setZip(String zip) {
		this.zip = zip;
	}
	public Double getLatitude() {
		return latitude;
	}
	public void setLatitude(Double latitude) {
		this.latitude = latitude;
	}
	public Double getLongitude() {
		return longitude;
	}
	public void setLongitude(Double longitude) {
		this.longitude = longitude;
	}
}