package it.callite.utility;


import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import it.callite.model.report.MonitorOperatore;


@SuppressWarnings("serial")
public class StatoLista implements Serializable {

	private Short stato;
	private List<MonitorOperatore> operatori = new ArrayList<MonitorOperatore>();
	
	public Short getStato() {
		return stato;
	}
	public void setStato(Short stato) {
		this.stato = stato;
	}
	public List<MonitorOperatore> getOperatori() {
		return operatori;
	}
	public void setOperatori(List<MonitorOperatore> operatori) {
		this.operatori = operatori;
	}
	
	public int getOperatoriSize() {
		return operatori.size();
	}
	
	public String getStatoTesto() {
		if(stato!=null) {
			return "text.stato."+stato;
		} else {
			return null;
		}
	}
	
}