package it.callite.utility;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import it.callite.utility.item.ListaSI;
@SuppressWarnings("serial")
public class UtenteLista implements Serializable {

	private Map<Long, List<ListaSI>> mappa;

	public UtenteLista() {
		mappa = new HashMap<Long, List<ListaSI>>();
	}

	public List<ListaSI> get(Long utente) {
		List<ListaSI> liste = mappa.get(utente);
		if(liste == null) {
			liste = new ArrayList<ListaSI>();
		}
		return liste;
	}

	public void put(Long utente, List<ListaSI> liste) {
		if(liste == null) {
			liste = new ArrayList<ListaSI>();
		}
		mappa.put(utente, liste);
	}
	
}