package it.callite.utility;

import it.callite.constants.config.DefaultsAutodialer;
import it.callite.service.config.ConfigurazioneAutodialerService;
public class UtilAutodialer {

	private String host;
	private String username;
	private String password;
	private Integer port;

	public UtilAutodialer(ConfigurazioneAutodialerService configurazioneAutodialerService) {
		this.host = ApplicationUtil.trimToEmpty(configurazioneAutodialerService.getValore(DefaultsAutodialer.KEY_PREDICTIVE_AMI_IP_CENTRALINO));
		this.username = ApplicationUtil.trimToEmpty(configurazioneAutodialerService.getValore(DefaultsAutodialer.KEY_PREDICTIVE_AMI_USERNAME));
		this.password = ApplicationUtil.trimToEmpty(configurazioneAutodialerService.getValore(DefaultsAutodialer.KEY_PREDICTIVE_AMI_PASSWORD));
		try {
			this.port = Integer.parseInt(ApplicationUtil.trimToEmpty(configurazioneAutodialerService.getValore(DefaultsAutodialer.KEY_PREDICTIVE_AMI_PORT)));
		} catch (NumberFormatException e) {
			this.port = 0;
		}

	}
	public String getHost() {
		return host;
	}
	public void setHost(String host) {
		this.host = host;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public Integer getPort() {
		return port;
	}
	public void setPort(Integer port) {
		this.port = port;
	}

}