package it.callite.utility;

import it.callite.constants.config.DefaultsGeneric;
import it.callite.service.config.ConfigurazioneGenericService;
public class UtilOffice {

	private String host;
	private Integer port;
	
	public UtilOffice(ConfigurazioneGenericService configurazioneGenericService) {
		this.host = ApplicationUtil.trimToEmpty(configurazioneGenericService.getValore(DefaultsGeneric.KEY_OPENOFFICE_URL));
		try {
			this.port = Integer.parseInt(ApplicationUtil.trimToEmpty(configurazioneGenericService.getValore(DefaultsGeneric.KEY_OPENOFFICE_PORT)));
		} catch (NumberFormatException e) {
			this.port = 0;
		}
	}
	public String getHost() {
		return host;
	}
	public void setHost(String host) {
		this.host = host;
	}

	public Integer getPort() {
		return port;
	}
	public void setPort(Integer port) {
		this.port = port;
	}
	
}