package it.callite.utility.massivo;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

import it.callite.model.EsitoAppuntamento;
import it.callite.utility.ApplicationUtil;



@SuppressWarnings("serial")
public class EsitoAppuntamentoMassivo implements Serializable {

 

	private Map<String, Valore> map = new HashMap<String, Valore>();

	public EsitoAppuntamentoMassivo() {
		set("confermato");
		set("messaggio_notifica");
		set("notizia_notifica");
		set("messaggio_agente");
		set("notizia_agente");
		set("messaggio_operatore");
		set("notizia_operatore");
		set("impostabile_agente");
		set("impostabile_operatore");
		set("modificabile_agente");
		set("modificabile_operatore");
		set("apribile_agente");
		set("apribile_operatore");
		set("riprogrammabile");
		set("utile");
		set("visibile");
		set("colore");
		set("codice");
		set("ordinamento");
	}
	public Valore set(String chiave) {
		return map.put(chiave, new Valore());
	}
	
	public Valore get(String chiave) {
		return map.get(chiave);
	}


	public Map<String, Valore> getMap() {
		return map;
	}


	public void modifica(EsitoAppuntamento esito) {
		if(ApplicationUtil.isTrue(map.get("ordinamento").getLogico())) {
			esito.setOrdinamento(map.get("ordinamento").getLungo());
		}
		if(ApplicationUtil.isTrue(map.get("codice").getLogico())) {
			esito.setCodice(map.get("codice").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("notizia_notifica").getLogico())) {
			esito.setNotizia_notifica(map.get("notizia_notifica").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("messaggio_notifica").getLogico())) {
			esito.setMessaggio_notifica(map.get("messaggio_notifica").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("colore").getLogico())) {
			esito.setColore(map.get("colore").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("confermato").getLogico())) {
			esito.setConfermato(map.get("confermato").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("utile").getLogico())) {
			esito.setUtile(map.get("utile").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("riprogrammabile").getLogico())) {
			esito.setRiprogrammabile(map.get("riprogrammabile").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("visibile").getLogico())) {
			esito.setVisibile(map.get("visibile").getBooleano());
		}

		if(ApplicationUtil.isTrue(map.get("impostabile_operatore").getLogico())) {
			esito.setImpostabile_operatore(map.get("impostabile_operatore").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("modificabile_operatore").getLogico())) {
			esito.setModificabile_operatore(map.get("modificabile_operatore").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("impostabile_agente").getLogico())) {
			esito.setImpostabile_agente(map.get("impostabile_agente").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("modificabile_agente").getLogico())) {
			esito.setModificabile_agente(map.get("modificabile_agente").getBooleano());
		}
		
		if(ApplicationUtil.isTrue(map.get("notizia_agente").getLogico())) {
			esito.setNotizia_agente(map.get("notizia_agente").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("messaggio_agente").getLogico())) {
			esito.setMessaggio_agente(map.get("messaggio_agente").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("notizia_operatore").getLogico())) {
			esito.setNotizia_operatore(map.get("notizia_operatore").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("messaggio_operatore").getLogico())) {
			esito.setMessaggio_operatore(map.get("messaggio_operatore").getBooleano());
		}
		
		
		if(ApplicationUtil.isTrue(map.get("apribile_operatore").getLogico())) {
			esito.setApribile_operatore(map.get("apribile_operatore").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("apribile_agente").getLogico())) {
			esito.setApribile_agente(map.get("apribile_agente").getBooleano());
		}
	}



}
