package it.callite.utility.thread;
import java.util.Date;
import java.util.List;
import java.util.Map;
import it.callite.dao.PannelloDao;
import it.callite.model.Anagrafica;
import it.callite.model.Contatto;
import it.callite.model.DatoAggiuntivoAnagrafica;
import it.callite.model.EsitoArchiviazione;
import it.callite.model.Utente;
import it.callite.utility.ContrattoProdotto;
import it.callite.utility.DatoSondaggioAnagrafica;
import it.callite.utility.ProdottoSelezionato;
public class EsitaPannelloThread extends Thread {
	private Contatto contatto;
	private EsitoArchiviazione esitoCliccato;
	private List<DatoAggiuntivoAnagrafica> dA;
	private List<DatoSondaggioAnagrafica> dati;
	private Map<ProdottoSelezionato, ContrattoProdotto> mapCr;
	private Utente utente;
	private PannelloDao pannelloDao;
	private Anagrafica nuovaAnagrafica;
	private Long agenteId; 
	private Long proprietarioId;
	private Date dataProgrammata;
	private Integer tipoContatto;
	public EsitaPannelloThread(PannelloDao pannelloDao, Anagrafica nuovaAnagrafica, Long agenteId, Long proprietarioId, Date dataProgrammata, Integer tipoContatto, Contatto contatto, EsitoArchiviazione esitoCliccato, List<DatoSondaggioAnagrafica> dati,  Utente utente, List<DatoAggiuntivoAnagrafica> dA, Map<ProdottoSelezionato, ContrattoProdotto> mapCr) {
		this.pannelloDao = pannelloDao;
		this.contatto = contatto;
		this.esitoCliccato = esitoCliccato;
		this.dA = dA;
		this.mapCr = mapCr;
		this.utente = utente;
		this.dati = dati;
		this.nuovaAnagrafica = nuovaAnagrafica;
		this.agenteId = agenteId; 
		this.proprietarioId = proprietarioId;
		this.dataProgrammata = dataProgrammata;
		this.tipoContatto = tipoContatto;
	}
	public void run() {
		pannelloDao.salvaContattoArchiviato(nuovaAnagrafica, agenteId, proprietarioId, dataProgrammata, tipoContatto, contatto, esitoCliccato, dati, utente, dA, mapCr);
	}
}