package it.callite.utility.thread;
import java.util.Iterator;
import java.util.List;
import it.callite.dao.ComunicazioneDao;
import it.callite.model.Comunicazione;
import it.callite.service.SmtpService;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.MailSupport;
public class ReInvioPostaThread extends Thread {
	private List<Comunicazione> lst;
	private SmtpService smtpService;
	private  ComunicazioneDao comunicazioneDao;
	public ReInvioPostaThread(List<Comunicazione> lst, SmtpService smtpService, ComunicazioneDao comunicazioneDao) {
		this.lst = lst;
		this.smtpService = smtpService;
		this.comunicazioneDao = comunicazioneDao;
	}
	public void run() {
		if(ApplicationUtil.notEmpty(lst)) {
			MailSupport ms = smtpService.getMailSupport(false);
			Iterator<Comunicazione> objIter = lst.iterator();
			while(objIter.hasNext()) {
				Comunicazione obj = objIter.next();
				comunicazioneDao.reInviaPosta(obj, ms);
			}
			ms.close();
		}
	}
}