package it.callite.utility.thread;
import java.util.Date;
import it.callite.dao.PannelloDao;
import it.callite.model.Contatto;
import it.callite.model.StoriaContatto;
import it.callite.model.Utente;
public class SalvaStoriaContattoThread extends Thread {
	private PannelloDao pannelloDao;
	private Contatto contatto;
	private Utente utente;
	private Date  data;
	private Boolean pannello;
	private Boolean invisibile;
	public SalvaStoriaContattoThread(PannelloDao pannelloDao, Contatto contatto, Utente utente, Date data, Boolean pannello, Boolean invisibile) {
		this.contatto = contatto;
		this.utente = utente;
		this.data = data;
		this.pannello = pannello;
		this.invisibile = invisibile;
		this.pannelloDao = pannelloDao;
	}
	public void run() {
		StoriaContatto storia = pannelloDao.creaStoriaContatto(contatto, utente, data, pannello, invisibile);
		pannelloDao.salvaAggiorna(storia);
	}
}