package it.callite.utility.thread;
import java.util.Date;
import it.callite.dao.PrenotazioneDao;
import it.callite.model.Prenotazione;
import it.callite.model.StoriaPrenotazione;
import it.callite.model.Utente;
public class SalvaStoriaPrenotazioneThread extends Thread {
	private PrenotazioneDao prenotazioneDao;
	private Prenotazione prenotazione;
	private Utente utente;
	private Date  data;
	public SalvaStoriaPrenotazioneThread(PrenotazioneDao prenotazioneDao, Prenotazione prenotazione, Utente utente, Date data) {
		this.prenotazione = prenotazione;
		this.utente = utente;
		this.data = data;
		this.prenotazioneDao = prenotazioneDao;
	}
	public void run() {
		StoriaPrenotazione storia = prenotazioneDao.creaStoriaPrenotazione(prenotazione, utente, data);
		prenotazioneDao.salvaAggiorna(storia);
	}
}