package it.callite.utility.thread;

import it.callite.dao.PannelloDao;
import it.callite.model.Contatto;
import it.callite.model.Utente;


public class SettaOpposizioneThread extends Thread {

	private PannelloDao pannelloDao;
	private Contatto contatto;
	private Utente utente;
	private boolean all;
	
	public SettaOpposizioneThread(boolean all, PannelloDao pannelloDao, Contatto contatto, Utente utente) {
		this.pannelloDao = pannelloDao;
		this.contatto = contatto;
		this.utente = utente;
		this.all = all;
	}

	public void run() {
		if (contatto != null) {
			pannelloDao.settaOpposizione(all, contatto, utente);
		}
	}

}
