package it.callite.utility.thread.invio;
import java.util.Iterator;
import java.util.List;

import it.callite.dao.ComunicazioneDao;
import it.callite.dao.PannelloDao;
import it.callite.model.Contatto;
import it.callite.model.Telecom;
import it.callite.model.TelecomTemplate;
import it.callite.model.Utente;
public class MultiploTelecomSenderThread extends Thread {
	
	private List<Contatto> contatti;
	private Utente user;
	private TelecomTemplate telecomTemplate; 
	private Telecom t;
	private ComunicazioneDao comunicazioneDao;
	private PannelloDao pannelloDao;
	
	public MultiploTelecomSenderThread(List<Contatto> contatti, Utente user, TelecomTemplate telecomTemplate, Telecom t, ComunicazioneDao comunicazioneDao, PannelloDao pannelloDao) {
		this.contatti = contatti;
		this.t = t;
		this.user = user;
		this.telecomTemplate = telecomTemplate;
		this.comunicazioneDao = comunicazioneDao;
		this.pannelloDao = pannelloDao;
	}
	public void run() {
		Iterator<Contatto> itCont = contatti.iterator();
		while (itCont.hasNext()) {
			Contatto contatto = (Contatto) itCont.next();
			if (telecomTemplate != null) {
				Telecom telecom = new Telecom();
				telecom.setDataSchedulata(t.getDataSchedulata());
				telecom.setTelecomTemplate(telecomTemplate);
				telecom = pannelloDao.replaceInTemplateTelecom(contatto, telecom, t);
				telecom.setContatto(contatto);
				comunicazioneDao.inviaTelecom(telecom, user, false);
			}
		}
	}
}