package it.callite.utility.thread.invio;
import it.callite.model.Rmail;
import it.callite.service.ComunicazioneService;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.MailSupport;
public class SingoloRmailSenderThread  extends Thread {

	private Rmail rmail;
	private ComunicazioneService comunicazioneService;

	public SingoloRmailSenderThread(Rmail rmail, ComunicazioneService comunicazioneService) {
		this.rmail = rmail;
		this.comunicazioneService = comunicazioneService;
	}


	public void run() {

		MailSupport ms = ApplicationUtil.getMailSupport(true, rmail.getRmailTemplate().getSmtp());
		comunicazioneService.rmail(ms, rmail);
		ms.close();


	}
}