package it.callite.utility.utils;


import java.io.File;
import java.io.FileFilter;

import it.callite.utility.ApplicationUtil;

public class ModuloFileFilter implements FileFilter {

	private String accept;
	private boolean start;
	
	public ModuloFileFilter(String accept, boolean start) {
		this.accept = ApplicationUtil.lowerCaseEmpty(accept);
		this.start = start;
	}
	public boolean accept(File file){
		if(!start) {
			return ApplicationUtil.lowerCaseEmpty(file.getName()).endsWith(accept);
		} else {
			return ApplicationUtil.lowerCaseEmpty(file.getName()).startsWith(accept);
		}
	}
}