package it.callite.validator.intervallo;
import java.util.Date;
import java.util.Map;
import javax.faces.component.UIComponent;
import javax.faces.component.UIInput;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;
public class DateValidator1 implements Validator {
	public DateValidator1() {
	}
	@Override
	public void validate(FacesContext context, UIComponent uIComponent, Object value) throws ValidatorException {
		Date startDate = ApplicationUtil.aggiustaDataT((Date) value, true);
		if (startDate != null) {
			String confirm = null;
			Boolean interval = null;
			Map<String,Object> mappa = uIComponent.getAttributes();
			if(ApplicationUtil.notEmpty(mappa)) {
				confirm = ApplicationUtil.trimToNull((String) mappa.get("confirm")); 
				interval = ApplicationUtil.toBoolean(mappa.get("interval"));
			}
			if(confirm != null  && ApplicationUtil.isTrue(interval))   {
				UIInput endU = ApplicationUtil.findComponent(uIComponent, confirm);
				if (endU != null && endU.isValid()) {
					Date endDate = ApplicationUtil.aggiustaDataT((Date) endU.getValue(), false);
					if (endDate != null) {
						if (endDate.before(startDate)) {
							//ApplicationUtil.resetComponent(uIComponent, endU, false);
							throw new ValidatorException(Message.addValidatorMessage("valore_non_consentito" , null));
						}
					}
				}
				//ApplicationUtil.resetComponent(uIComponent, endU, true);
			}
		}
	}
}