package it.asterisk.pbx.asterisk.wrap.actions;

import it.asterisk.pbx.Channel;

public class BridgeAction extends AbstractManagerAction
{

	private final Channel _lhs;
	private final Channel _rhs;

	public BridgeAction(final Channel lhs, final Channel rhs)
	{
		this._lhs = lhs;
		this._rhs = rhs;
	}

	@Override
	public it.asterisk.manager.action.ManagerAction getAJAction()
	{
		final it.asterisk.manager.action.BridgeAction action = new it.asterisk.manager.action.BridgeAction();
		action.setActionId(this.getActionId());
		action.setChannel1(this._lhs.getChannelName());
		action.setChannel2(this._rhs.getChannelName());
		return action;
	}

	public String toString()
	{
		return "BridgeAction: lhs=" + this._lhs + " rhs=" + this._rhs; //$NON-NLS-1$ //$NON-NLS-2$
	}
}
