package it.asterisk.pbx.asterisk.wrap.events;

import it.asterisk.pbx.InvalidChannelName;

public class AgentCalledEvent extends ChannelEventHelper
{
    private static final long serialVersionUID = 1L;

    private String queue;

    private String agentInterface;

    public AgentCalledEvent(final it.asterisk.manager.event.AgentCalledEvent event) throws InvalidChannelName
    {
        super(event.getChannelCalling(), event.getUniqueId(), event.getCallerIdNum(), event.getCallerIdName());

        agentInterface = event.getAgentCalled();
        queue = event.getQueue();
    }

    public String getQueueName()
    {
        return queue;
    }

    public String getAgentInterface()
    {
        return agentInterface;
    }

}
