package it.asterisk.pbx.asterisk.wrap.events;

import it.asterisk.pbx.InvalidChannelName;

public class AgentConnectEvent extends ChannelEventHelper
{
    private static final long serialVersionUID = 1L;

    private String queue;

    private String agentInterface;

    public AgentConnectEvent(final it.asterisk.manager.event.AgentConnectEvent event) throws InvalidChannelName
    {
        super(event.getChannel(), event.getUniqueId(), event.getCallerIdNum(), event.getCallerIdName());

        agentInterface = event.getInterface();
        queue = event.getQueue();
    }

    public String getQueueName()
    {
        return queue;
    }

    public String getAgentInterface()
    {
        return agentInterface;
    }

}
