package it.asterisk.pbx.asterisk.wrap.events;

import it.asterisk.pbx.CallerID;
import it.asterisk.pbx.InvalidChannelName;
import it.asterisk.pbx.PBX;
import it.asterisk.pbx.PBXFactory;

public class MeetMeJoinEvent extends AbstractMeetMeEvent
{
    private static final long serialVersionUID = 1L;

    CallerID callerID;

    public MeetMeJoinEvent(final it.asterisk.manager.event.MeetMeJoinEvent event) throws InvalidChannelName
    {
        super(event);
        final PBX pbx = PBXFactory.getActivePBX();

        pbx.buildCallerID(event.getCallerIdNum(), event.getCallerIdName());

    }

    public CallerID getCallerID()
    {
        return this.callerID;
    }

}
