package it.asterisk.pbx.asterisk.wrap.events;

import it.asterisk.pbx.EndPoint;
import it.asterisk.pbx.PBX;
import it.asterisk.pbx.PBXFactory;
import it.asterisk.pbx.TechType;

public class PeerEntryEvent extends ResponseEvent
{
    private static final long serialVersionUID = 1L;

    private final EndPoint peer;

    public PeerEntryEvent(final it.asterisk.manager.event.PeerEntryEvent event)
    {
        super(event);

        PBX pbx = PBXFactory.getActivePBX();
        this.peer = pbx.buildEndPoint(TechType.valueOf(event.getChannelType()), event.getObjectName());
    }

    public EndPoint getPeer()
    {
        return this.peer;
    }
}
