package it.callite.autodialer.controllo;

import it.callite.autodialer.coda.ChiamateInCorso;
import it.callite.model.report.AutodialerContatti;
import it.callite.model.report.AutodialerStatistiche;



public class CodaStatic {
 
	private static ChiamateInCorso chiamateInCorso = new ChiamateInCorso();
	private static AutodialerStatistiche autodialerStatistiche = new AutodialerStatistiche();
	private static AutodialerContatti autodialerContatti = new AutodialerContatti();
	private static CodaTeam codaTeam = new CodaTeam();
	private static CodaLista codaLista = new CodaLista();
	
	public static CodaLista getCodaLista() {
		return codaLista;
	}
	
	public static CodaTeam getCodaTeam() {
		return codaTeam;
	}

	public static ChiamateInCorso getChiamateInCorso() {
		return chiamateInCorso;
	}

	public static AutodialerStatistiche getAutodialerStatistiche() {
		return autodialerStatistiche;
	}

	public static AutodialerContatti getAutodialerContatti() {
		return autodialerContatti;
	}

	
	public static void pulizia() {
		chiamateInCorso.clear();
		autodialerStatistiche.resetAll();
		autodialerContatti.resetAll();
		codaTeam.clear();
		codaLista.clear();
	}


}
