package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class CampagnaPannelloColumn extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	public CampagnaPannelloColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id,				 	true);
		add(ConstantsColumn.data_creazione, 	true);
		add(ConstantsColumn.nome, 				true);
		add(ConstantsColumn.descrizione, 		true);
		add(ConstantsColumn.logo, 				true);
		add(ConstantsColumn.tipo, 				false);
		add(ConstantsColumn.priorita, 			false);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.nome);
		ordinamento(ConstantsColumn.tipo);
		ordinamento(ConstantsColumn.priorita);
		return getAction();
	}
	
}
