package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class ListaColumn  extends GenericColumn implements Serializable {

	private static final long serialVersionUID = 1L;
	
	public ListaColumn() {
		doReset();
	}

	public String doReset(){
		reset();
		add(ConstantsColumn.id,					true);
		add(ConstantsColumn.data_creazione, 	true);
		add(ConstantsColumn.nome, 				true);
		add(ConstantsColumn.codice,				false);
		add(ConstantsColumn.descrizione, 		false);
		add(ConstantsColumn.stato, 				true);
		add(ConstantsColumn.statoAttiva, 		true);
		add(ConstantsColumn.priorita, 			true);
		add(ConstantsColumn.callers,			false);
		add(ConstantsColumn.musicclass,			false);
		add(ConstantsColumn.telefono, 			false);
		add(ConstantsColumn.ordine,				false);
		addSeparatore("1");
		add(ConstantsColumn.contatti, 			false);
		add(ConstantsColumn.anagrafiche, 		false);
		add(ConstantsColumn.campagne, 			false);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data_creazione);
		ordinamento(ConstantsColumn.nome);
		ordinamento(ConstantsColumn.codice);
		ordinamento(ConstantsColumn.stato);
		ordinamento(ConstantsColumn.priorita);
		ordinamento(ConstantsColumn.telefono);
		ordinamento(ConstantsColumn.inverti);
		ordinamento(ConstantsColumn.data_inizio);
		ordinamento(ConstantsColumn.data_fine);
		ordinamento(ConstantsColumn.week_inizio);
		ordinamento(ConstantsColumn.week_fine);
		ordinamento(ConstantsColumn.ora_inizio);
		ordinamento(ConstantsColumn.ora_fine);
		return getAction();
	}

}
