package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class OnlineColumn  extends GenericColumn implements Serializable {

	private static final long serialVersionUID = 1L;

	public OnlineColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		
		add(ConstantsColumn.stato, 			true);
		add(ConstantsColumn.interno, 		true);
		add(ConstantsColumn.logged,			true);
		add(ConstantsColumn.libero, 		true);
		add(ConstantsColumn.visibile, 		true);
		add(ConstantsColumn.ip, 		 	true);
		add(ConstantsColumn.data_azione, 	false);
		add(ConstantsColumn.tempo, 			true);
		
		return getAction();
	}
	
}
