package it.callite.column;

import java.io.Serializable;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;

public class ZonaColumn extends GenericColumn implements Serializable {

	private static final long serialVersionUID = 1L;

	public ZonaColumn() {
		doReset();
	}
	
	public String doReset(){
		reset();
		add(ConstantsColumn.id, 					true);
		add(ConstantsColumn.nome, 					true);
		add(ConstantsColumn.regione, 				true);
		add(ConstantsColumn.provincia,	 			true);
		add(ConstantsColumn.comune, 				true);
		add(ConstantsColumn.cap, 					true);
		addSeparatore("1");
		add(ConstantsColumn.coordinatori, 			false);
		add(ConstantsColumn.agenti, 				false);
		add(ConstantsColumn.campagne, 				false);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.nome);
		ordinamento(ConstantsColumn.regione);
		ordinamento(ConstantsColumn.provincia);
		ordinamento(ConstantsColumn.comune);
		ordinamento(ConstantsColumn.cap);
		return getAction();
	}

}
