package it.callite.comparator;

import java.util.Comparator;
import java.util.Date;

import it.callite.model.AutoContatto;

public class ListComparator implements Comparator<AutoContatto> {

	public ListComparator() {
	}

	@Override
	public int compare(AutoContatto o1, AutoContatto o2) {
		boolean discendente = true;
		Date a1 = discendente ? o2.getData() : o1.getData();
		Date a2 = discendente ? o1.getData() : o2.getData();
		if(a1 != null && a2 != null) {
			return a1.compareTo(a2);
		} else if(a1 != null && a2 == null) {
			return -1;
		} else if(a1 == null && a2 != null) {
			return 1;
		} else {
			return 0;
		}
	}
	
}
