package it.callite.constants.config;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.model.config.ConfigData;
public class DefaultsData {
	public static final String KEY_DATA_NOME_RICHIESTO = "data.required_nome";
	public static final String KEY_DATA_COGNOME_RICHIESTO = "data.required_cognome";
	public static final String KEY_DATA_RAGIONESOCIALE_RICHIESTO = "data.required_ragionesociale";
	public static final String KEY_DATA_NOMECOMPLETO_RICHIESTO = "data.required_nomecompleto";
	public static final String KEY_DATA_LUOGONASCITA_RICHIESTO = "data.required_luogonascita";
	public static final String KEY_DATA_DATANASCITA_RICHIESTO = "data.required_datanascita";
	public static final String KEY_DATA_INDIRIZZO_LEGALE = "data.tipo_indirizzo_legale";
	public static final String KEY_DATA_INDIRIZZO_OPERATIVO = "data.tipo_indirizzo_operativo";
	
	public static final Map<String, ConfigData> DEFAULTS;
	static {
		Map<String, ConfigData> aMap = new HashMap<String, ConfigData>();
		aMap.put(KEY_DATA_NOME_RICHIESTO, new ConfigData(KEY_DATA_NOME_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_DATA_COGNOME_RICHIESTO, new ConfigData(KEY_DATA_COGNOME_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_DATA_RAGIONESOCIALE_RICHIESTO, new ConfigData(KEY_DATA_RAGIONESOCIALE_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_DATA_NOMECOMPLETO_RICHIESTO, new ConfigData(KEY_DATA_NOMECOMPLETO_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_DATA_LUOGONASCITA_RICHIESTO, new ConfigData(KEY_DATA_LUOGONASCITA_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_DATA_DATANASCITA_RICHIESTO, new ConfigData(KEY_DATA_DATANASCITA_RICHIESTO, ConstantsMap.FALSE, ConstantsMap.getBoolean(), ConstantsGlobal.scelta, false, true));
		aMap.put(KEY_DATA_INDIRIZZO_LEGALE, new ConfigData(KEY_DATA_INDIRIZZO_LEGALE, ConstantsMap.indirizzo2, ConstantsMap.getIndirizzo(), ConstantsGlobal.lista, false, true));
		aMap.put(KEY_DATA_INDIRIZZO_OPERATIVO, new ConfigData(KEY_DATA_INDIRIZZO_OPERATIVO, ConstantsMap.indirizzo2, ConstantsMap.getIndirizzo(), ConstantsGlobal.lista, false, true));
		DEFAULTS = Collections.unmodifiableMap(aMap);
	};
}