package it.callite.criteria;

import java.io.Serializable;
import java.util.Date;

import it.callite.criteria.generic.GenericAllCriteria;



public class CalendarioCriteria  extends GenericAllCriteria  implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private Long agenteId;
	private Long campagna_id;
	private Integer confermato;
	private Long esito;
	private Integer fineA;
	private Integer giorni;
	private Date giornoPartenza;
	private Integer inizioA;
	private Integer rete = 0;
	private Integer stato;
	private Long team_id;
	private Long zona_id;

	public CalendarioCriteria() {
	}

	public Long getAgenteId() {
		return agenteId;
	}


	public Long getCampagna_id() {
		return campagna_id;
	}

	public Integer getConfermato() {
		return confermato;
	}
	
	public Long getEsito() {
		return esito;
	}

	public Integer getFineA() {
		return fineA;
	}

	public Integer getGiorni() {
		return giorni;
	}
	
	public Date getGiornoPartenza() {
		return giornoPartenza;
	}
	

	public Integer getInizioA() {
		return inizioA;
	}

	
	public Integer getRete() {
		return rete;
	}
	
	
	public Integer getStato() {
		return stato;
	}
	
	public Long getTeam_id() {
		return team_id;
	}


	public Long getZona_id() {
		return zona_id;
	}
	
	public CalendarioCriteria resetCriteria() {
		CalendarioCriteria c = new CalendarioCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public CalendarioCriteria resetCriteria(String b) {
		CalendarioCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setAgenteId(Long agenteId) {
		this.agenteId = agenteId;
	} 
	
	
	public void setCampagna_id(Long campagna_id) {
		this.campagna_id = campagna_id;
	}

	
	public void setConfermato(Integer confermato) {
		this.confermato = confermato;
	}
	

	public void setCriteria(String b) {
	}


	public void setEsito(Long esito) {
		this.esito = esito;
	}


	public void setFineA(Integer fineA) {
		this.fineA = fineA;
	}


	public void setGiorni(Integer giorni) {
		this.giorni = giorni;
	}


	public void setGiornoPartenza(Date giornoPartenza) {
		this.giornoPartenza = giornoPartenza;
	}
	
	public void setInizioA(Integer inizioA) {
		this.inizioA = inizioA;
	}
	public void setRete(Integer rete) {
		this.rete = rete;
	}
	
	public void setStato(Integer stato) {
		this.stato = stato;
	}

	public void setTeam_id(Long team_id) {
		this.team_id = team_id;
	}

	public void setZona_id(Long zona_id) {
		this.zona_id = zona_id;
	}

}