package it.callite.criteria;

import java.io.Serializable;

import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class CampagnaPannelloCriteria  extends GenericAllCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private Integer autodialer;
	private String ricerca;
	
	public CampagnaPannelloCriteria() {
	}
	
	public Integer getAutodialer() {
		return autodialer;
	}

	public String getRicerca() {
		return ApplicationUtil.trimToNull(ricerca);
	}


	public CampagnaPannelloCriteria resetCriteria() {
		CampagnaPannelloCriteria c = new CampagnaPannelloCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	
	public CampagnaPannelloCriteria resetCriteria(String b) {
		CampagnaPannelloCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	public void setAutodialer(Integer autodialer) {
		this.autodialer = autodialer;
	}

	public void setCriteria(String b) {
	}


	public void setRicerca(String ricerca) {
		this.ricerca = ApplicationUtil.trimToNull(ricerca);
	}

	
}
