package it.callite.criteria;

import java.io.Serializable;

import it.callite.criteria.generic.BaseCriteria;

public class OnlineCriteria extends BaseCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	private Short stato;
	private Integer tipo = 0;
	private Integer loggato = 0;
	private Integer online = 0;
	private Integer visibile = 0;
	
	public OnlineCriteria() {

	}

	public Integer getLoggato() {
		return loggato;
	}
	public Integer getOnline() {
		return online;
	}
	
	
	public Short getStato() {
		return stato;
	}
	
	public Integer getTipo() {
		return tipo;
	}
	
	
	public OnlineCriteria resetCriteria() {
		OnlineCriteria c = new OnlineCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	
	public OnlineCriteria resetCriteria(String b) {
		OnlineCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setCriteria(String b) {
	}

	public void setLoggato(Integer loggato) {
		this.loggato = loggato;
	}


	public void setOnline(Integer online) {
		this.online = online;
	}
	
	public void setStato(Short stato) {
		this.stato = stato;
	}
	
	public void setTipo(Integer tipo) {
		this.tipo = tipo;
	}

	public Integer getVisibile() {
		return visibile;
	}

	public void setVisibile(Integer visibile) {
		this.visibile = visibile;
	}

	
}
