package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class TemplateImportContattoCriteria  extends GenericAllCriteria implements Serializable { 

	private static final long serialVersionUID = 1L;


	private String nome;

	
	public TemplateImportContattoCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public String getNome() {
		return ApplicationUtil.trimToNull(nome);
	}
	public TemplateImportContattoCriteria resetCriteria() {
		TemplateImportContattoCriteria c = new TemplateImportContattoCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public TemplateImportContattoCriteria resetCriteria(String b) {
		TemplateImportContattoCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	public void setNome(String nome) {
		this.nome = ApplicationUtil.trimToNull(nome);
	}


}
