package it.callite.listener;

import java.util.List;

import org.jivesoftware.smack.Chat;
import org.jivesoftware.smack.ChatManagerListener;

import it.callite.utility.Buddy;





public class ChatManagerListenerImpl implements ChatManagerListener {

	private List<Buddy> messaggi;

	@Override
    public void chatCreated(final Chat chat, final boolean createdLocally)  {
		chat.addMessageListener(new MessageListenerImpl(messaggi));
	}

	public ChatManagerListenerImpl(List<Buddy> messaggi) {
		this.messaggi = messaggi;
	}



}
