package it.callite.log;


import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;




public class AsteriskLog {

	private static Logger log = LogManager.getLogger(AsteriskLog.class);

	public static void debug(Object message, Throwable t) {
		log.debug(message, t);
	}
	public static void error(Object message, Throwable t) {
		log.error(message, t);
	}
	public static void warn(Object message, Throwable t) {
		log.warn(message, t);
	}
	public static void info(Object message, Throwable t) {
		log.info(message, t);
	}

	public static void debug(Object message) {
		log.debug(message);
	}
	public static void error(Object message) {
		log.error(message);
	}
	public static void warn(Object message) {
		log.warn(message);
	}
	public static void info(Object message) {
		log.info(message);
	}

}