package it.callite.model.pk;
import it.callite.model.Prodotto;
import it.callite.model.Template;
import java.io.Serializable;
import javax.persistence.Embeddable;
import javax.persistence.ManyToOne;
@SuppressWarnings("serial")
@Embeddable
public class TemplateProdottoPK implements Serializable {
	@ManyToOne
	private Template documento;
	
	@ManyToOne
	private Prodotto prodotto;
	public TemplateProdottoPK() { }
	
	public TemplateProdottoPK(Template documento, Prodotto prodotto) {
		this.setDocumento(documento);
		this.setProdotto(prodotto);
	}
	
	public Template getDocumento() {
		return documento;
	}
	public void setDocumento(Template documento) {
		this.documento = documento;
	}
	public Prodotto getProdotto() {
		return prodotto;
	}
	public void setProdotto(Prodotto prodotto) {
		this.prodotto = prodotto;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((documento == null) ? 0 : documento.hashCode());
		result = prime * result
				+ ((prodotto == null) ? 0 : prodotto.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		TemplateProdottoPK other = (TemplateProdottoPK) obj;
		if (documento == null) {
			if (other.documento != null)
				return false;
		} else if (!documento.equals(other.documento))
			return false;
		if (prodotto == null) {
			if (other.prodotto != null)
				return false;
		} else if (!prodotto.equals(other.prodotto))
			return false;
		return true;
	}
}