package it.callite.model.report;
import java.io.Serializable;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class DettaglioLavorato implements Serializable {
	private String pausa;
	private Boolean positivo;
	private Long totale;
	private Long conteggio;
	private Long sottrazione;
	
	public Long getSottrazione() {
		return sottrazione;
	}
	public void setSottrazione(Long sottrazione) {
		this.sottrazione = sottrazione;
	}
	public String getPausa() {
		return pausa;
	}
	public void setPausa(String pausa) {
		this.pausa = pausa;
	}
	public Long getTotale() {
		return totale;
	}
	public void setTotale(Long totale) {
		this.totale = totale;
	}
	public Long getConteggio() {
		return conteggio;
	}
	public void setConteggio(Long conteggio) {
		this.conteggio = conteggio;
	}
	public String getTotaleF() {
		return ApplicationUtil.format(getTotale());
	}
	public Boolean getPositivo() {
		return positivo;
	}
	public void setPositivo(Boolean positivo) {
		this.positivo = positivo;
	}
	
	public String getSottrazioneF() {
		return ApplicationUtil.format(sottrazione);
	}
	
	public long getTotaleS() {
		if(ApplicationUtil.isTrue(positivo)) {
			return 0L;
		} else {
			if(totale == null) {
				totale = 0L;
			}
			return totale.longValue();
		}
	}
}