package it.callite.model.report;
import java.io.Serializable;
import it.callite.utility.ElencoCampagna;
@SuppressWarnings("serial")
public class ElencoCampagnaReport implements Serializable {
 
	private Integer conteggio = Integer.valueOf(1);
	private String elenco;
	private String proprieta;
	
	public ElencoCampagnaReport(ElencoCampagna e) {
		this.setProprieta(e.getProprieta());
		this.setElenco(e.getElenco());
		this.setConteggio(e.getConteggio());
	}
	
	public  void incConteggio() {
		conteggio++;
	}
	
	public void setConteggio(Integer conteggio) {
		this.conteggio = conteggio;
	}
	public String getElenco() {
		return elenco;
	}
	public void setElenco(String elenco) {
		this.elenco = elenco;
	}
	public String getProprieta() {
		return proprieta;
	}
	public void setProprieta(String proprieta) {
		this.proprieta = proprieta;
	}
	public Integer getConteggio() {
		return conteggio;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((elenco == null) ? 0 : elenco.hashCode());
		result = prime * result + ((proprieta == null) ? 0 : proprieta.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ElencoCampagnaReport other = (ElencoCampagnaReport) obj;
		if (elenco == null) {
			if (other.elenco != null)
				return false;
		} else if (!elenco.equals(other.elenco))
			return false;
		if (proprieta == null) {
			if (other.proprieta != null)
				return false;
		} else if (!proprieta.equals(other.proprieta))
			return false;
		return true;
	}
}