package it.callite.model.report;
import java.io.Serializable;
import java.util.List;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class ElencoEsitoReportList implements Serializable { 
 
	private List<ElencoEsitoReport> autodialer;
	private int autodialerSize = 0;
	
	private List<ElencoEsitoReport> manuali;
	private int  manualiSize = 0;
	
	private List<ElencoEsitoReport> totali;
	private int totaliSize = 0;
	
	public List<ElencoEsitoReport> getAutodialer() {
		return autodialer;
	}
	public void setAutodialer(List<ElencoEsitoReport> autodialer) {
		this.autodialer = autodialer;
	}
	
	public List<ElencoEsitoReport> getManuali() {
		return manuali;
	}
	public void setManuali(List<ElencoEsitoReport> manuali) {
		this.manuali = manuali;
	}
	
	public List<ElencoEsitoReport> getTotali() {
		return totali;
	}
	public void setTotali(List<ElencoEsitoReport> totali) {
		this.totali = totali;
	}
	
	
	public int getAutodialerSize() {
		return autodialerSize;
	}
	public int getManualiSize() {
		return manualiSize;
	}
	public int getTotaliSize() {
		return totaliSize;
	}
	
	public void elabora1() {
		int aSize = 0;
		if(ApplicationUtil.notEmpty(autodialer)) {
			for(ElencoEsitoReport a : autodialer) {
				aSize += a.getConteggio();
			}
		}
		autodialerSize = aSize;
	}
	
	public void elabora2() {
		int aSize = 0;
		if(ApplicationUtil.notEmpty(manuali)) {
			for(ElencoEsitoReport a : manuali) {
				aSize += a.getConteggio();
			}
		}
		manualiSize = aSize;
	}
	
	public void elabora3() {
		int aSize = 0;
		if(ApplicationUtil.notEmpty(totali)) {
			for(ElencoEsitoReport a : totali) {
				aSize += a.getConteggio();
			}
		}
		totaliSize = aSize;
	}
}