package it.callite.model.report;

import java.io.Serializable;
@SuppressWarnings("serial")
public class ReportAppuntamentoResultSet implements Serializable {
	
	private Long user_id;
	private Long esito_id;
	private Long agente_id;
	private Long appuntamenti;
	
	public ReportAppuntamentoResultSet() { }
	
	public ReportAppuntamentoResultSet(Long user_id, Long esito_id) {
		this.user_id = user_id;
		this.esito_id = esito_id;
	}

	public Long getUser_id() {
		return user_id;
	}

	public void setUser_id(Long userId) {
		user_id = userId;
	}

	public Long getEsito_id() {
		return esito_id;
	}

	public void setEsito_id(Long esitoId) {
		esito_id = esitoId;
	}

	public Long getAgente_id() {
		return agente_id;
	}

	public void setAgente_id(Long agenteId) {
		agente_id = agenteId;
	}
	
	public Long getAppuntamenti() {
		if(appuntamenti == null) {
			appuntamenti = Long.valueOf(0);
		}
		return appuntamenti;
	}

	public void setAppuntamenti(Long appuntamenti) {
		this.appuntamenti = appuntamenti;
	}


	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((esito_id == null) ? 0 : esito_id.hashCode());
		result = prime * result + ((user_id == null) ? 0 : user_id.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ReportAppuntamentoResultSet other = (ReportAppuntamentoResultSet) obj;
		if (esito_id == null) {
			if (other.esito_id != null)
				return false;
		} else if (!esito_id.equals(other.esito_id))
			return false;
		if (user_id == null) {
			if (other.user_id != null)
				return false;
		} else if (!user_id.equals(other.user_id))
			return false;
		return true;
	}
	
	
}
