package it.callite.model.report;
import java.io.Serializable;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class ReportListaResultSet implements Serializable {
	private Long archiviazioni;
	private Long chiusi;
	private Long confermati;
	private Long conversazioni;
	private Long positivi;
	private Long totali;
	private Long lista_id;
	private Long utili;
	
	private Long durata_conv_eff;
	private Long durata;
	private Long durata_conv_tot;
	private Long durata_post;
	private Long durata_pre;
	private Long durata_rec;
	private Long durata_attesa;
	
	private Double media_conv_eff;
	private Double media;
	private Double media_conv_tot;
	private Double media_post;
	private Double media_pre;
	private Double media_rec;
	private Double media_attesa;
	public ReportListaResultSet() { }
	public ReportListaResultSet(Long lista_id) {
		this.lista_id = lista_id;
	}
	
	public Long getArchiviazioni() {
		if(archiviazioni == null)
			archiviazioni = Long.valueOf(0);
		return archiviazioni;
	}
	public Long getChiusi() {
		if(chiusi == null)
			chiusi = Long.valueOf(0);
		return chiusi;
	}
	public Long getConfermati() {
		if(confermati == null)
			confermati = Long.valueOf(0);
		return confermati;
	}
	public Long getConversazioni() {
		if(conversazioni == null)
			conversazioni = Long.valueOf(0);
		return conversazioni;
	}
	
	public Long getPositivi() {
		if(positivi == null)
			positivi = Long.valueOf(0);
		return positivi;
	}
	
	public Long getTotali() {
		if(totali == null)
			totali = Long.valueOf(0);
		return totali;
	}
	
	public Long getUtili() {
		if(utili == null)
			utili = Long.valueOf(0);
		return utili;
	}
	public void setArchiviazioni(Long archiviazioni) {
		this.archiviazioni = archiviazioni;
	}
	public void setChiusi(Long chiusi) {
		this.chiusi = chiusi;
	}
	public void setConfermati(Long confermati) {
		this.confermati = confermati;
	}
	public void setConversazioni(Long conversazioni) {
		this.conversazioni = conversazioni;
	}
	public void setDurata(Long durata) {
		this.durata = durata;
	}
	public void setDurata_conv_eff(Long durataConvEff) {
		durata_conv_eff = durataConvEff;
	}
	public void setPositivi(Long positivi) {
		this.positivi = positivi;
	}
	public void setTotali(Long totali) {
		this.totali = totali;
	}
	public Long getLista_id() {
		return lista_id;
	}
	public void setLista_id(Long lista_id) {
		this.lista_id = lista_id;
	}
	public void setUtili(Long utili) {
		this.utili = utili;
	}
	
	public Long getDurata() {
		if(durata == null)
			durata = Long.valueOf(0);
		return durata;
	}
	public Long getDurata_conv_eff() {
		if(durata_conv_eff == null)
			durata_conv_eff = Long.valueOf(0);
		return durata_conv_eff;
	}
	public Long getDurata_conv_tot() {
		if(durata_conv_tot == null)
			durata_conv_tot = Long.valueOf(0);
		return durata_conv_tot;
	}
	public Long getDurata_post() {
		if(durata_post == null)
			durata_post = Long.valueOf(0);
		return durata_post;
	}
	public Long getDurata_pre() {
		if(durata_pre == null)
			durata_pre = Long.valueOf(0);
		return durata_pre;
	}
	public Long getDurata_rec() {
		if(durata_rec == null)
			durata_rec = Long.valueOf(0);
		return durata_rec;
	}
	public Double getMedia_conv_eff() {
		if(media_conv_eff == null)
			media_conv_eff = Double.valueOf(0);
		return media_conv_eff;
	}
	public Double getMedia() {
		if(media == null)
			media = Double.valueOf(0);
		return media;
	}
	public Double getMedia_conv_tot() {
		if(media_conv_tot == null)
			media_conv_tot = Double.valueOf(0);
		return media_conv_tot;
	}
	public Double getMedia_post() {
		if(media_post == null)
			media_post = Double.valueOf(0);
		return media_post;
	}
	public Double getMedia_pre() {
		if(media_pre == null)
			media_pre = Double.valueOf(0);
		return media_pre;
	}
	public Double getMedia_rec() {
		if(media_rec == null)
			media_rec = Double.valueOf(0);
		return media_rec;
	}
	
	public String getTempo() {
		return ApplicationUtil.format(getDurata());
	}
	public String getTempo_conv_eff() {
		return ApplicationUtil.format(getDurata_conv_eff());
	}
	public String getTempo_conv_tot() {
		return ApplicationUtil.format(getDurata_conv_tot());
	}
	public String getTempo_post() {
		return ApplicationUtil.format(getDurata_post());
	}
	public String getTempo_pre() {
		return ApplicationUtil.format(getDurata_pre());
	}
	public String getTempo_rec() {
		return ApplicationUtil.format(getDurata_rec());
	}
	public void setDurata_conv_tot(Long durata_conv_tot) {
		this.durata_conv_tot = durata_conv_tot;
	}
	public void setDurata_post(Long durata_post) {
		this.durata_post = durata_post;
	}
	public void setDurata_pre(Long durata_pre) {
		this.durata_pre = durata_pre;
	}
	public void setDurata_rec(Long durata_rec) {
		this.durata_rec = durata_rec;
	}
	public void setMedia_conv_eff(Double media_conv_eff) {
		this.media_conv_eff = media_conv_eff;
	}
	public void setMedia(Double media) {
		this.media = media;
	}
	public void setMedia_conv_tot(Double media_conv_tot) {
		this.media_conv_tot = media_conv_tot;
	}
	public void setMedia_post(Double media_post) {
		this.media_post = media_post;
	}
	public void setMedia_pre(Double media_pre) {
		this.media_pre = media_pre;
	}
	public void setMedia_rec(Double media_rec) {
		this.media_rec = media_rec;
	}
	public String getMediaH() {
		return ApplicationUtil.format(getMedia());
	}
	public String getMedia_conv_effH() {
		return ApplicationUtil.format(getMedia_conv_eff());
	}
	public String getMedia_conv_totH() {
		return ApplicationUtil.format(getMedia_conv_tot());
	}
	public String getMedia_postH() {
		return ApplicationUtil.format(getMedia_post());
	}
	public String getMedia_preH() {
		return ApplicationUtil.format(getMedia_pre());
	}
	public String getMedia_recH() {
		return ApplicationUtil.format(getMedia_rec());
	}
	
	
	public void setDurata_attesa(Long durata_attesa) {
		this.durata_attesa = durata_attesa;
	}
	public void setMedia_attesa(Double media_attesa) {
		this.media_attesa = media_attesa;
	}
	public Long getDurata_attesa() {
		if(durata_attesa == null)
			durata_attesa = Long.valueOf(0);
		return durata_attesa;
	}
	public Double getMedia_attesa() {
		if(media_attesa == null)
			media_attesa = Double.valueOf(0);
		return media_attesa;
	}
	public String getTempo_attesa() {
		return ApplicationUtil.format(getDurata_attesa());
	}
	public String getMedia_attesaH() {
		return ApplicationUtil.format(getMedia_attesa());
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((lista_id == null) ? 0 : lista_id.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ReportListaResultSet other = (ReportListaResultSet) obj;
		if (lista_id == null) {
			if (other.lista_id != null)
				return false;
		} else if (!lista_id.equals(other.lista_id))
			return false;
		return true;
	}
	
	
}