package it.callite.scheduler;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.Trigger;

import it.callite.dao.SchedulerDao;
import it.callite.utility.ApplicationUtil;

public class LanciaScheduler implements Job {

	public void execute(JobExecutionContext context) {

		Trigger tg = context.getTrigger();
		if(tg!=null && tg.getKey()!=null) {
			String name = tg.getKey().getName();
			if(ApplicationUtil.isNotBlank(name)) {
				SchedulerDao schedulerDao = (SchedulerDao) context.getJobDetail().getJobDataMap().get("schedulerDao");
				schedulerDao.lanciaScheduler(name);
			}
		}
	}
}