package it.callite.utility;
import java.io.Serializable;
@SuppressWarnings("serial")
public class Coordinata implements Serializable {
	private String indirizzo;
	private Integer id = 1;
	private String query;
	
	public String getQuery() {
		return query;
	}
	public void setQuery(String query) {
		this.query = query;
	}
	public String getIndirizzo() {
		return indirizzo;
	}
	public void setIndirizzo(String indirizzo) {
		this.indirizzo = indirizzo;
	}
	private String latitudine;
	public String getLatitudine() {
		return latitudine;
	}
	public void setLatitudine(String latitudine) {
		this.latitudine = latitudine;
	}
	public String getLongitudine() {
		return longitudine;
	}
	public void setLongitudine(String longitudine) {
		this.longitudine = longitudine;
	}
	private String longitudine;
	
	public Boolean getValido() {
		return  ApplicationUtil.isNotBlank(this.getIndirizzo()) && this.getLatitudine() != null && this.getLongitudine() != null;
	}
	
	public String getIndirizzoString() {
		return  ApplicationUtil.clearString(indirizzo);
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((indirizzo == null) ? 0 : indirizzo.hashCode());
		result = prime * result + ((latitudine == null) ? 0 : latitudine.hashCode());
		result = prime * result + ((longitudine == null) ? 0 : longitudine.hashCode());
		result = prime * result + ((query == null) ? 0 : query.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Coordinata other = (Coordinata) obj;
		if (indirizzo == null) {
			if (other.indirizzo != null)
				return false;
		} else if (!indirizzo.equals(other.indirizzo))
			return false;
		if (latitudine == null) {
			if (other.latitudine != null)
				return false;
		} else if (!latitudine.equals(other.latitudine))
			return false;
		if (longitudine == null) {
			if (other.longitudine != null)
				return false;
		} else if (!longitudine.equals(other.longitudine))
			return false;
		if (query == null) {
			if (other.query != null)
				return false;
		} else if (!query.equals(other.query))
			return false;
		return true;
	}
	public Integer getId() {
		if(id == null) {
			id = 1;
		}
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	
	
	
}