package it.callite.utility;
import java.io.Serializable;
import java.util.List;
import it.callite.constants.ConstantsMap;
@SuppressWarnings("serial")
public class ElementoScheda implements Serializable {
	private boolean anagrafica = false;
	private boolean indirizzo_legale = false;
	private boolean indirizzo_operativo = false;
	private boolean consenso = false;
	private boolean contatto = false;
	private boolean contratto = false;
	private boolean appuntamento = false;
	private boolean dati_anagrafica = false;
	private boolean dati_contratto = false;
	private boolean storia_contatto = false;
	private boolean storia_contratto = false;
	private boolean storia_appuntamento = false;
	public ElementoScheda(List<String> ls) {
		if(ApplicationUtil.notEmpty(ls)) {
			anagrafica = ls.contains(ConstantsMap.anagrafica) ? true :  false;
			indirizzo_legale = ls.contains(ConstantsMap.indirizzo_legale) ? true :  false;
			indirizzo_operativo = ls.contains(ConstantsMap.indirizzo_operativo) ? true :  false;
			consenso = ls.contains(ConstantsMap.consenso) ? true :  false;
			contatto = ls.contains(ConstantsMap.contatto) ? true :  false;
			contratto = ls.contains(ConstantsMap.contratto) ? true :  false;
			appuntamento = ls.contains(ConstantsMap.appuntamento) ? true :  false;
			dati_anagrafica = ls.contains(ConstantsMap.dati_anagrafica) ? true :  false;
			dati_contratto = ls.contains(ConstantsMap.dati_contratto) ? true :  false;
			storia_contatto = ls.contains(ConstantsMap.storia_contatto) ? true :  false;
			storia_contratto = ls.contains(ConstantsMap.storia_contratto) ? true :  false;
			storia_appuntamento = ls.contains(ConstantsMap.storia_appuntamento) ? true :  false;
		}
	}
	public boolean isAnagrafica() {
		return anagrafica;
	}
	public void setAnagrafica(boolean anagrafica) {
		this.anagrafica = anagrafica;
	}
	public boolean isIndirizzo_legale() {
		return indirizzo_legale;
	}
	public void setIndirizzo_legale(boolean indirizzo_legale) {
		this.indirizzo_legale = indirizzo_legale;
	}
	public boolean isIndirizzo_operativo() {
		return indirizzo_operativo;
	}
	public void setIndirizzo_operativo(boolean indirizzo_operativo) {
		this.indirizzo_operativo = indirizzo_operativo;
	}

	public boolean isConsenso() {
		return consenso;
	}
	public void setConsenso(boolean consenso) {
		this.consenso = consenso;
	}
	public boolean isContatto() {
		return contatto;
	}
	public void setContatto(boolean contatto) {
		this.contatto = contatto;
	}
	public boolean isContratto() {
		return contratto;
	}
	public void setContratto(boolean contratto) {
		this.contratto = contratto;
	}
	public boolean isAppuntamento() {
		return appuntamento;
	}
	public void setAppuntamento(boolean appuntamento) {
		this.appuntamento = appuntamento;
	}
	public boolean isDati_anagrafica() {
		return dati_anagrafica;
	}
	public void setDati_anagrafica(boolean dati_anagrafica) {
		this.dati_anagrafica = dati_anagrafica;
	}
	public boolean isDati_contratto() {
		return dati_contratto;
	}
	public void setDati_contratto(boolean dati_contratto) {
		this.dati_contratto = dati_contratto;
	}
	public boolean isStoria_contatto() {
		return storia_contatto;
	}
	public void setStoria_contatto(boolean storia_contatto) {
		this.storia_contatto = storia_contatto;
	}
	public boolean isStoria_contratto() {
		return storia_contratto;
	}
	public void setStoria_contratto(boolean storia_contratto) {
		this.storia_contratto = storia_contratto;
	}
	public boolean isStoria_appuntamento() {
		return storia_appuntamento;
	}
	public void setStoria_appuntamento(boolean storia_appuntamento) {
		this.storia_appuntamento = storia_appuntamento;
	}
}