package it.callite.utility;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
@SuppressWarnings("serial")
public class InfoQueue implements Serializable {
	
	private Map<String, QueueUtente> utenti = new HashMap<String, QueueUtente>();
	private Map<String, QueueChiamata> chiamate = new HashMap<String, QueueChiamata>();
	public Map<String, QueueUtente> getUtenti() {
		return utenti;
	}
	public Map<String, QueueChiamata> getChiamate() {
		return chiamate;
	}
	
	public List<QueueUtente> getUtentiList() {
		return new ArrayList<QueueUtente>(utenti.values());
	}
	
	public List<QueueChiamata> getChiamateList() {
		return new ArrayList<QueueChiamata>(chiamate.values());
	}
	
	public void putU(String utente, QueueUtente info){
		utenti.put(utente,  info);
	}
	
	public void putC(String chiamata, QueueChiamata info){
		chiamate.put(chiamata,  info);
	}
	
	public QueueUtente removeU(String utente){
		return utenti.remove(utente);
	}
	public QueueChiamata removeC(String chiamata){
		return chiamate.remove(chiamata);
	}
	
	
}