package it.callite.utility;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.richfaces.json.JSONObject;
import org.springframework.web.servlet.View;
import it.callite.constants.ConstantsGlobal;
public class JSONObjectView implements View {
	public String getContentType() {
		return ConstantsGlobal.contentJson;
	}
 
	@SuppressWarnings("rawtypes")
	public void render(Map o, HttpServletRequest request, HttpServletResponse response) throws Exception {
		JSONObject jsonObject = ( JSONObject ) o.get("model");
        response.setContentType(getContentType());
		response.getWriter().write(jsonObject.toString());
	}
}