package it.callite.utility;
import java.io.Serializable;
import java.util.List;
@SuppressWarnings("serial")
public class Parameter implements Serializable {
	
	private String label;
	private Object single;
	private List<?> multiple;
	
	public Parameter(String label, Object single) {
		this.label = label;
		this.single = single;
	}
	
	public Parameter(String label, List<?> multiple) {
		this.label = label;
		this.multiple = multiple;
	}
	public String getLabel() {
		return label;
	}
	public void setLabel(String label) {
		this.label = label;
	}
	public Object getSingle() {
		return single;
	}
	public void setSingle(Object single) {
		this.single = single;
	}
	public List<?> getMultiple() {
		return multiple;
	}
	public void setMultiple(List<?> multiple) {
		this.multiple = multiple;
	}

	
}