package it.callite.utility.massivo;
import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;
import it.callite.model.CampoAggiuntivoAnagrafica;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class CampoAggiuntivoAnagraficaMassivo  implements Serializable {
	private Map<String, Valore> map = new HashMap<String, Valore>();
	public CampoAggiuntivoAnagraficaMassivo() {
		set("obbligatorio");
		set("visibile_operatore");
		set("visibile_agente");
		set("modificabile_operatore");
		set("modificabile_agente");
		set("colore");
		set("stile");
	}
	public Valore set(String chiave) {
		return map.put(chiave, new Valore());
	}
	public Valore get(String chiave) {
		return map.get(chiave);
	}
	public Map<String, Valore> getMap() {
		return map;
	}
	
	public void modifica(CampoAggiuntivoAnagrafica campo) {
		
		if(ApplicationUtil.isTrue(map.get("colore").getLogico())) {
			campo.setColore(map.get("colore").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("stile").getLogico())) {
			campo.setStile(map.get("stile").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("obbligatorio").getLogico())) {
			campo.setObbligatorio(map.get("obbligatorio").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("visibile_operatore").getLogico())) {
			campo.setVisibile_operatore(map.get("visibile_operatore").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("modificabile_operatore").getLogico())) {
			campo.setModificabile_operatore(map.get("modificabile_operatore").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("visibile_agente").getLogico())) {
			campo.setVisibile_agente(map.get("visibile_agente").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("modificabile_agente").getLogico())) {
			campo.setModificabile_agente(map.get("modificabile_agente").getBooleano());
		}
	
	}
	
}