package it.callite.utility.thread;

import it.callite.constants.ConstantsGlobal;
import it.callite.dao.AutodialerDao;
import it.callite.dao.OperazioneDao;
import it.callite.model.Contatto;
import it.callite.model.Utente;


public class ApriIngressoThread extends Thread {

	private AutodialerDao autodialerDao;
	private OperazioneDao operazioneDao;
	private Contatto contatto;
	private Utente user;

	public ApriIngressoThread(AutodialerDao autodialerDao, OperazioneDao operazioneDao, Contatto contatto,  Utente user) {
		this.autodialerDao = autodialerDao;
		this.operazioneDao = operazioneDao;
		this.contatto = contatto;
		this.user = user;
	}

	public void run() {
		operazioneDao.apriContatto(ConstantsGlobal.ID_SEZIONE_PUBBLICHE, user, contatto);
		operazioneDao.chiama(user, contatto);
		operazioneDao.risponde(user, contatto);
		autodialerDao.rimuoviUtenteT(user);
	}

}
