package it.callite.utility.thread;
import java.util.ArrayList;
import java.util.List;

import it.callite.dao.ComunicazioneDao;
import it.callite.model.Email;
import it.callite.model.Rmail;
import it.callite.model.Schedulatore;
import it.callite.model.Telecom;
import it.callite.service.SchedulerService;
import it.callite.utility.ApplicationUtil;
public class PostInvioComunicazioneThread extends Thread {
	private Integer codice [];
	private Schedulatore sa;
	private ComunicazioneDao comunicazioneDao;
	private SchedulerService schedulerService;
	public PostInvioComunicazioneThread(Schedulatore sa, Integer codice [], ComunicazioneDao comunicazioneDao, SchedulerService schedulerService) {
		this.codice = codice;
		this.sa = sa;
		this.comunicazioneDao = comunicazioneDao;
		this.schedulerService = schedulerService;
	}
	public void run() {
		if (sa != null) {
			List<Object> lst = new ArrayList<Object>();
			if(sa.isTipo_email()) {
				lst.addAll(comunicazioneDao.getDaInviarePostList(sa, Email.class,codice));
			}
			if(sa.isTipo_rmail()) {
				lst.addAll(comunicazioneDao.getDaInviarePostList(sa, Rmail.class,codice));
			}
			if(sa.isTipo_telecom()) {
				lst.addAll(comunicazioneDao.getDaInviarePostList(sa, Telecom.class,codice));
			}
			if(ApplicationUtil.notEmpty(lst)) {
				comunicazioneDao.reInvia(lst);
			}
			schedulerService.elimina(sa, true, false);
		}
	}

}