package it.callite.utility.thread;

import java.util.Date;

import it.callite.dao.UserDao;
import it.callite.model.Accesso;
import it.callite.model.Utente;
import it.callite.utility.ApplicationUtil;


public class SalvaAccessoThread extends Thread {

	private UserDao userDao;
	private Utente user;
	private String ip;
	private String browser;
 
	public SalvaAccessoThread(UserDao userDao, Utente user, String ip, String browser) {
		this.userDao = userDao;
		this.user = user;
		this.ip = ip;
		this.browser = browser;
	}

	public void run() {
		Date adesso = ApplicationUtil.date();
		Accesso accesso = new Accesso(user, adesso, ip, browser);
		userDao.updateAccesso(user, ip, browser, accesso);
	}

}
