package it.callite.utility.thread;
import java.util.Date;
import it.callite.dao.PannelloDao;
import it.callite.model.Nota;
import it.callite.model.StoriaNota;
import it.callite.model.Utente;
public class SalvaStoriaNotaThread extends Thread {
	private PannelloDao pannelloDao;
	private Nota nota;
	private Utente utente;
	private Date  data;
	public SalvaStoriaNotaThread(PannelloDao pannelloDao, Nota nota, Utente utente, Date data) {
		this.nota = nota;
		this.utente = utente;
		this.data = data;
		this.pannelloDao = pannelloDao;
	}
	public void run() {
		StoriaNota storia = pannelloDao.creaStoriaNota(nota, utente, data);
		pannelloDao.salvaAggiorna(storia);
	}
}