package it.callite.utility.thread.invio;
import it.callite.model.Email;
import it.callite.service.ComunicazioneService;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.MailSupport;
public class SingoloEmailSenderThread  extends Thread {

	private Email email;
	private ComunicazioneService comunicazioneService;

	public SingoloEmailSenderThread(Email email, ComunicazioneService comunicazioneService) {
		this.email = email;
		this.comunicazioneService = comunicazioneService;
	}

	public void run() {

		MailSupport ms = ApplicationUtil.getMailSupport(true, email.getEmailTemplate().getSmtp());
		comunicazioneService.email(ms, email);
		ms.close();

	}
}