package it.callite.utility.utils;


import org.apache.commons.net.ftp.FTPFile;
import org.apache.commons.net.ftp.FTPFileFilter;

import it.callite.utility.ApplicationUtil;

public class RegistrazioneFileFilter implements FTPFileFilter {

	
	private String accept;
	private boolean start;
	
	public RegistrazioneFileFilter(String accept, boolean start) {
		this.accept = ApplicationUtil.lowerCaseEmpty(accept);
		this.start = start;
	}
	public boolean accept(FTPFile file){
		if(!start) {
			return ApplicationUtil.lowerCaseEmpty(file.getName()).endsWith(accept);
		} else {
			return ApplicationUtil.lowerCaseEmpty(file.getName()).startsWith(accept);
		}
	}
	
}