package it.callite.validator;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import it.callite.constants.ConstantsGlobal;
import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;
public class CoordinataValidator implements Validator {
	public CoordinataValidator() {
	}
	public void validate(FacesContext facesContext, UIComponent uIComponent,Object object)  {
		String input = ApplicationUtil.trimToNull((String) object);
		if(input != null) {
			String pattern = ConstantsGlobal.validatore_coordinata;
			Pattern p = Pattern.compile(pattern);
			Matcher m = p.matcher(input);
			boolean b = m.matches();	  			 
			if(!b){
				throw new ValidatorException(Message.addValidatorMessage("formato.errato" , pattern));
			}
		}
	} 
}