package it.callite.validator.intervallo;
import java.util.Map;
import javax.faces.component.UIComponent;
import javax.faces.component.UIInput;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;
public class WeekValidator1 implements Validator {
	public WeekValidator1() {
	}
	@Override
	public void validate(FacesContext context, UIComponent uIComponent, Object value) throws ValidatorException {
		Long startLong = (Long) value;
		if (startLong != null) {
			String confirm = null;
			Boolean interval = null;
			Map<String,Object> mappa = uIComponent.getAttributes();
			if(ApplicationUtil.notEmpty(mappa)) {
				confirm = ApplicationUtil.trimToNull((String) mappa.get("confirm")); 
				interval = ApplicationUtil.toBoolean(mappa.get("interval"));
			}
			if(confirm != null  && ApplicationUtil.isTrue(interval))   {
				UIInput endU = ApplicationUtil.findComponent(uIComponent, confirm);
				if (endU != null && endU.isValid()) {
					Long endLong = (Long) endU.getValue();
					if (endLong != null) {
						if (endLong.longValue() < startLong.longValue()) {
							//ApplicationUtil.resetComponent(uIComponent, endU, false);
							throw new ValidatorException(Message.addValidatorMessage("valore_non_consentito" , null));
						}
					}
				}
				//ApplicationUtil.resetComponent(uIComponent, endU, true);
			}
		}
	}
}