function mostraBarra(){
	if (parent.document.getElementById("mainFooter") != undefined) {
		parent.document.getElementById("mainHeader").style.bottom="100px";
		parent.document.getElementById("mainFooter").style.height="100px";
	}
}

function nascondiBarra(){
	if (parent.document.getElementById("mainFooter") != undefined) {
		parent.document.getElementById("mainHeader").style.bottom="0px";
		parent.document.getElementById("mainFooter").style.height="0px";
	}
}

function formatta(time) {
	var hours   = checkTime(Math.floor(time / 3600));
	var minutes = checkTime(Math.floor((time - (hours * 3600)) / 60));
	var seconds = checkTime(time - (hours * 3600) - (minutes * 60));
	return hours + ":" + minutes + ":" + seconds;
}

function disableAutocomplete(obj) {
	obj.setAttribute('autocomplete','off');
}

function startTimer(ids, d) {
	var add = 1000;
	var val = parseInt(d);
	var today = new Date(parseInt(d));
	var day = checkTime(today.getDate());
	var month = checkTime(today.getMonth()+1);
	var year = today.getFullYear();
	var hours = checkTime(today.getHours());
	var minutes = checkTime(today.getMinutes());
	var seconds = checkTime(today.getSeconds());
	var a = document.getElementById(ids);
	if(a != undefined) {
		a.value = day + "/" +  month  + "/" + year + "  " + hours + ":" + minutes + ":" + seconds;
		window.setTimeout(startTimer, add , ids, (val + add));
	}
}

function checkTime(i) {
	if (i < 10) {i = "0" + i};
	return i;
}

var getJSON = function(url, successHandler, errorHandler) {
	//var xhr = typeof XMLHttpRequest != 'undefined' ? new XMLHttpRequest() : new ActiveXObject('Microsoft.XMLHTTP');
	//var xhr = window.ActiveXObject ? new ActiveXObject('Microsoft.XMLHTTP') : new XMLHttpRequest();
	var xhr = new XMLHttpRequest();
	xhr.open('POST', url, true);
	xhr.onreadystatechange = function() {
		var status;
		var data;
		if (xhr.readyState == 4) {
			status = xhr.status;
			if (status == 200) {
				data = JSON.parse(xhr.responseText);
				successHandler && successHandler(data);
			} else {
				errorHandler && errorHandler(status);
			}
		}
	};
	xhr.send();
};


function notify(messaggio) {
	if (messaggio != '') {
		var type = Number(messaggio.substring(0, 1));
		var message = messaggio.substring(1);
		if(type == 1) {
			alert(message);
		} else {
			prepareNotify(message);
		}
	}
}

function prepareNotify(message) {
	if (!("Notification" in window)) {
		alert(message);
	} else {
		Notification.requestPermission(permissionNotification).then((permission) => {
			if (permission === "granted") {
				sendNotifica(message);
			} else {
				alert(message);
			}
		});
	}
}

function sendNotifica(message) {
	var title =	"CalLite CRM";
	var icon = "https://www.callite.it/favicon.png"
	var body = message;
	const options = { body, icon };
	navigator.serviceWorker.ready.then(function(registration) {
		registration.showNotification(message, options);
    });
}


function permissionNotification(status) {
}

//Notification.requestPermission(permissionNotification);
